var vm;

apiready = function(){
    var id = api.pageParam.id
    var type = api.pageParam.type
    var column = api.pageParam.column
    var time = api.pageParam.time

    //下拉刷新
    $app.action.getRefresh(function() {
      vm.pageIndex = 1
      vm.imageItems = []
      vm.getData()
    })

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
          imageItems: [],
          pageIndex: 1,
          pageSize: 10,
          dataLoading: false,
          loadtext: '数据加载中'
        },
        created: function(){
          this.getData()
        },
        mounted: function() {
          var $this = this
          $app.win.toBottom(function() {
            if(!$this.dataLoading) $this.getData()
          })
        },
        methods: {
            handleData: function(res){
              var $this = this
              //业务处理
              if(res.Code == 1){
                var data = res.Data
                if(data.length > 0){
                  $this.pageIndex++
                  data.map(function(item){
                      var _item = {
                        'id': item['fdImagID'],
                        'title': $this.oneEmpty(item['fdImagName']),
                        'image': $this.absoluteUrl(item['fdImagSmallPath']),
                        'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                        'size': item['fdImagSize'],
                        'model': item['fdImagStyle'],
                        'detail': item['DetailImageList'],
                        'same': item['SameCount'],
                        'city': item['City'],
                        'season': item['Season'],
                        'cate': item['Cate'],
                        'brand': item['Brand'],
                        'style': item['Style'],
                        'type': item['Type'],
                        'view': item['VisitCount'],
                        'time': $this.formatTime(item['Model']['fdModePublishTime'])
                      }
                      $this.imageItems.push(_item)
                  })
                }else{
                  $this.loadtext = '我是有底线的'
                }
              }
            },
            getData: function(){
              var $this = this
              var query_data = {}

              switch (type) {
                case 'album':
                  url = '/api/album/GetAlbumInfoById'
                  query_data = {
                    'id': id,
                    'pageIndex': $this.pageIndex,
                    'pageSize': $this.pageSize
                  }

                  $this.dataLoading = true

                  console.log(JSON.stringify(query_data))

                  $app.ajax.get(url, query_data, function(res){
                    //业务处理
                    $this.dataLoading = false
                    // console.log(JSON.stringify(res))
                    $this.handleData(res)
                  })
                  break;
                case 'hotbrand':
                  url = '/api/album/GetImageList'
                  query_data = {
                    'cid': column,
                    'key': '',
                    'brandId': id,
                    'PropertStringList': '',
                    'size': '',
                    'publishBegin': '',
                    'publishEnd': '',
                    'pageIndex': $this.pageIndex,
                    'pageSize': $this.pageSize
                  }

                  $this.dataLoading = true

                  console.log(JSON.stringify(query_data))

                  $app.ajax.postq(url, query_data, function(res){
                    //业务处理
                    $this.dataLoading = false
                    // console.log(JSON.stringify(res))
                    $this.handleData(res)
                  })
                default:

              }
            },
            imageClick: function(index){
                this.openImageViewWin(this.imageItems[index])
            },

            openSameWin: function(index) {
              var $this = this
              var _id = $this.imageItems[index].id
              if(!_id) return
              $this.checkLogin(function() {
                $app.openSameWin({id: _id})
              })
            },

        }
    })

}
