var vm;

apiready = function(){
    var _cid = api.pageParam.cid
    var _property = api.pageParam.property
    var _style = api.pageParam.style

    //下拉刷新
    $app.action.getRefresh(function() {
      vm.getData()
    })

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            bookItems: [],

            viewstyle: _style ? _style : 'list', // list,cascades

            bottomText: '数据加载中',


            cid: api.pageParam.cid,
            key: '',
            brandId: '',
            PropertStringList: api.pageParam.property,
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10,

            showgototop: false

        },
        created: function () {
          //初始数据
          this.getData()
        },
        mounted: function() {
          var $this = this

          $app.win.scroll({
              scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection){
                  if(scrollTop >= 200){
                      $this.showgototop = true;
                  }else{
                      $this.showgototop = false;
                  }
              }
          })


          $app.win.toBottom(function() {
              if ($user.checkLogin()) {
                  $this.bottomText = '我是有底线的'
                  $this.getMoreData()
              } else {
                  $app.openLogin();
                  $this.bottomText = '登录查看更多'
              }
          })
        },
        methods: {
            //书刊图片
            bookClick: function(index){
              var item = this.bookItems[index]
              this.checkLogin(function() {
                $app.openWin({
                    name: 'book_image',
                    url: 'widget://html/book/book_image/book_image.html',
                    pageParam: {
                      cid: item['cid'],
                      id: item['id'],
                      title: item['title']
                    }
                })
              })

            },

            //数据源
            getData: function(){
                var $this = this;
                var query_data = {
                    'cid': $this.cid,
                    'key': $this.key,
                    'brandId': $this.brandId,
                    'PropertStringList': $this.PropertStringList,
                    'publishBegin': $this.publishBegin,
                    'publishEnd': $this.publishEnd,
                }
                console.log(JSON.stringify(query_data))
                api.showProgress();
                $app.ajax.postq('/api/book/GetBookIndexPageList', query_data, function(res) {
                    //业务处理
                    var data = res.Data
                    $this.bookItems = data.map(function(item) {
                        var _item = {
                            'cid': item['fdBookColumnID'],
                            'id': item['fdBookID'],
                            'title': $this.oneEmpty(item['fdBookTitle']),
                            'image': $this.absoluteUrl(item['fdBookPic']),
                            'desc': item['fdBookDesc'],
                            'property': item['fdBookProperty'],
                            'city': item['City'],
                            'season': item['Season'],
                            'cate': item['Cate'],
                            'brand': item['Brand'],
                            'count': item['fdBookPageCount'] + '页',
                            'view': item['fdBookClick'],
                            'size': item['fdBookSizeType'],
                            'time': $this.formatTime(item['fdBookPublishTime'])
                        }
                        return _item
                    });
                    api.hideProgress()
                })
            },
            getMoreData: function() {
              var $this = this;
              var query_data = {
                  'cid': $this.cid,
                  'key': $this.key,
                  'brandId': $this.brandId,
                  'PropertStringList': $this.PropertStringList,
                  'publishBegin': $this.publishBegin,
                  'publishEnd': $this.publishEnd,
                  'pageIndex': $this.pageIndex + 1,
                  'pageSize': $this.pageSize
              }
              $app.ajax.postq('/api/book/GetBookList', query_data, function(res) {
                  //业务处理
                  if(res.Code == 1){
                    var data = res.Data
                    if (data.length > 0) {
                        $this.pageIndex++
                            data.map(function(item) {
                              var _item = {
                                  'cid': item['fdBookColumnID'],
                                  'id': item['fdBookID'],
                                  'title': $this.oneEmpty(item['fdBookTitle']),
                                  'image': $this.absoluteUrl(item['fdBookPic']),
                                  'desc': item['fdBookDesc'],
                                  'property': item['fdBookProperty'],
                                  'city': item['City'],
                                  'season': item['Season'],
                                  'cate': item['Cate'],
                                  'brand': item['Brand'],
                                  'count': item['fdBookPageCount'] + '页',
                                  'view': item['fdBookClick'],
                                  'size': item['fdBookSizeType'],
                                  'time': $this.formatTime(item['fdBookPublishTime'])
                              }
                                $this.bookItems.push(_item)
                            });
                    }
                  }
                  if(res.Code == 2){
                    $app.openLogin();
                  }

              })
            }
        }
    })

}
