var vm;

apiready = function(){
  var _cid = api.pageParam.cid
  var _id = api.pageParam.id

  vm = new Vue({
      el: '#content',
      mixins: [mixin],
      data: {
        dataItems: [],

        id: '',
        pageIndex: 1,
        pageSize: 10
      },
      created: function(){
        this.id = _id
        this.getData()
      },
      mounted: function() {
        var $this = this
        $app.win.toBottom(function() {
            $this.getData()
        })
      },
      methods: {
        imageClick: function(index){
          var $this = this
          // var images = [this.dataItems[index]['imagePath']]
          // $app.openBookBrowser({
          //     images: images,
          //     index: index
          // })

          var _item = this.dataItems[index]

          if(!_item['id']){
            api.toast({
                msg: '数据错误',
                duration: 2000,
                location: 'bottom'
            });
            return
          }

          $app.openWin({
              name: 'book_view_win',
              url: '../book_view/book_view.html',
              pageParam: {
                  bookId: $this.id,
                  id: _item['id'],
                  title: _item['title'],
                  image: _item['imagePath']
              }
          });


        },
        getData: function(){
          var $this = this;

          var query_data = {
            'id': $this.id,
            'pageIndex': $this.pageIndex,
            'pageSize': $this.pageSize
          }
          $app.ajax.get('/api/book/GetBookImageListById', query_data, function(res){
            //业务处理
            var data = res.Data
            if(data.length > 0){
              $this.pageIndex++
              data.map(function(item){
                  var _item = {
                    'id': item['fdImagID'],
                    'title': $this.oneEmpty(item['fdImagName']),
                    'image': $this.absoluteUrl(item['fdImagSmallPath']),
                    'imagePath': $this.absoluteUrl(item['fdImagPath']),
                    'time': $this.formatTime(item['PublishTime'])
                  }
                  $this.dataItems.push(_item)
              })
            }
          })
        },

      }
    })

}
