var vm;
var _bookId, _id, _title, _image;

function closeWin(){
    api.closeWin()
}

function favBook(){
  $app.openFav({
    itemid: '',
    itemname: '',
    favid: _bookId, //图片，书刊，素材，款式ID
    favtype: 3 //1 图片，2 素材，款式, 3 书刊
  })
}

function donwLoadImage(){
  $app.downloadImage(vm.images)
}

apiready = function(){
  _bookId = api.pageParam.bookId //杂志编号
  _id = api.pageParam.id //图片编号
  _title = api.pageParam.title
  _image = api.pageParam.image

  console.log(JSON.stringify(api.pageParam))
  if(_title) $app.ui.setHeaderTitle(_title)

  vm = new Vue({
      el: '#content',
      mixins: [mixin],
      data: {

        id: '',
        preId: '',
        nextId: '',
        first: true,

        images: [_image],

        dataloading: false,
        bookSwiper: null,

      },
      created: function(){
        this.id = _id
      },
      mounted: function() {
        var $this = this

        $this.bookSwiper = new Swiper('.book-swiper', {
          // direction: 'vertical',
          mousewheel: true,
          zoom: true,
          lazy: {
            loadPrevNext: true,
          },
          virtual: {
            slides: [{imagePath: _image}],
            renderSlide:function(slide, index){
              var image = slide['imagePath']
              return '<div class="swiper-slide swiper-zoom-container">' +
                        '<div class="swiper-zoom-container">' +
                            '<img data-src="'+ image +'" class="swiper-lazy">' +
                            '<div class="swiper-lazy-preloader swiper-lazy-preloader-black"></div>' +
                        '</div>' +
                      '</div>'
            }
          },
          on: {
            reachBeginning: function(){
              if($this.preId != ''){
                $this.id = $this.preId
                $this.getPreData()
              }
            },
            reachEnd: function(){
              if($this.nextId != ''){
                $this.id = $this.nextId
                $this.getNextData()
              }
            },
            slideChangeTransitionEnd: function () {
              $this.first = false
              var slides = $this.bookSwiper.virtual.slides
              var index = this.realIndex
              // console.log(JSON.stringify(slides[index]))
              $this.images = [slides[index]['imagePath']]
              // console.log(JSON.stringify($this.images))
            },
          },
        });

        $this.getData()

      },
      updated: function() {
        var $this = this
        $this.bookSwiper.update()
      },
      methods: {
        showToast: function(message) {
          if(!this.first){
            api.toast({
                msg: message,
                duration: 2000,
                location: 'bottom'
            })
          }
        },
        getPreData: function() {
          var $this = this;
          var query_data = {
            'id': $this.id
          }
          $app.ajax.get('/api/book/funcGetPrevImage', query_data, function(res){
            if(res.Code == 1){
              var item = res.Data
              if(item){
                var _preId = item['fdImagID']
                var _image = $this.absoluteUrl(item['fdImagPath'])
                var slides = $this.bookSwiper.virtual.slides

                $this.preId = _preId
                if(slides.indexOf(_image) == -1){
                  $this.bookSwiper.virtual.prependSlide({imagePath: _image})
                }
              }
            }
            if(res.Code == 2) $this.showToast(res.Message)
          })
        },
        getNextData: function() {
          var $this = this;
          var query_data = {
            'id': $this.id
          }
          $app.ajax.get('/api/book/funcGetNextImage', query_data, function(res){
            if(res.Code == 1){
              var item = res.Data
              if(item){
                var _nextId = item['fdImagID']
                var _image = $this.absoluteUrl(item['fdImagPath'])
                var slides = $this.bookSwiper.virtual.slides

                $this.nextId = _nextId
                if(slides.indexOf(_image) == -1){
                  $this.bookSwiper.virtual.appendSlide({imagePath: _image})
                }
              }
            }
            if(res.Code == 2) $this.showToast(res.Message)
        })
      },
        getData: function(){
          var $this = this;
          $this.getPreData()
          $this.getNextData()
        },
      }
    })
}
