var vm;

function setBrandData() {
  var _ret = vm.getBrandValue()
  if(_ret.length == 0){
    api.toast({
        msg: '请选择品牌',
        duration: 2000,
        location: 'bottom'
    });
    return;
  }
  console.log(JSON.stringify(_ret))
  api.sendEvent({
      name: 'interest-select-brand',
      extra: {
          data: JSON.stringify(_ret)
      }
  });
  api.closeWin();
}

apiready = function() {

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
          keyword: '',
          brandData: []
        },
        computed: {
          brandItems: function () {
              var _this = this
              var _filterItems = []
              var _brandItems = {}
              if(this.keyword.length > 0){
                  var char = this.keyword.substring(0, 1);
                  this.brandData.forEach(function (item, index) {
                      if (item['letter'].toLowerCase() == char.toLowerCase()) {
                          _filterItems.push(item)
                      }
                  });
                  if (_filterItems.length == 0) _filterItems.push(this.brandData[this.brandData.length - 1]);
                  _filterItems.map(function (item, index) {
                      _brandItems['letter'] = _filterItems[index]['letter']
                      _brandItems['items'] = []
                      _filterItems[index]['items'].map(function (word) {
                          if (word['name'].toLowerCase().indexOf(_this.keyword.toLowerCase()) > -1) {
                              _brandItems['items'].push(word)
                          }
                      })
                  })
                  return [_brandItems]
              }else{
                  return this.brandData
              }

          }
        },
        created: function(){
            this.getBrandData()
        },
        methods: {
          brandClick: function(i, j){
              var $this = this;
              var _parent = $this.brandItems[i]['items']
              _parent[j]['selected'] = !_parent[j]['selected']
              this.getBrandValue()
          },
          getBrandValue: function(){
            var $this = this;
            var _brandData = []
            $this.brandItems.map(function(brand){
              brand.items.map(function(item){
                if(item['selected'] == true) _brandData.push(item)
              })
            })
            return _brandData
          },
          getBrandData: function(){
              var $this = this
              api.showProgress();
              $app.ajax.get('/api/public/GetBrandListBy', {type: 1, cid: 0}, function(res){
                //业务处理
                api.hideProgress()

                if(res.Code == 1){
                  var data = res.Data
                  var ret = []
                  if (data.length > 0) {
                    for (var i = 0; i < data.length; i++) {
                      var item = {
                        'letter': data[i]['FirstChar'],
                        'items': []
                      }
                      item['items'] = data[i]['BrandList'].map(function (item) {
                        return {
                          'id': item['fdBranID'],
                          'name': item['fdBranName'],
                          'cname': item['fdBranChineseName'],
                          'selected': false
                        }
                      })
                      ret.push(item)
                    }
                  }
                  $this.brandData = ret
                }
              })
          }
        },
    })


};
