var vm;

apiready = function() {

  var id = api.pageParam.id
  var name = api.pageParam.title

  vm = new Vue({
      el: '#content',
      mixins: [mixin],
      data: {
        dataItems: [],

        id: '',
        name: '',
        topCount: 9
      },
      created: function(){
        this.id = id
        this.name = name
        this.getData()
      },
      methods: {
        imageClick: function(i, j){
            var $this = this
            var _image = $this.dataItems[i]['items'][j]
            $this.checkLogin(function() {
              $this.openImageViewWin(_image)
            })
        },
        openColumnWin: function(i) {
          var $this = this
          var cid = $this.dataItems[i]['cid']
          var title = $this.dataItems[i]['title']
          var viewStyle = cid == 9 ? 'list' : 'cascades'

          $app.openDrawerWin({
            name: 'brand-win',
            url: 'widget://html/brand/brand_result/brand_result.html',
            pageParam: {
              id: cid,
              brandId: $this.id,
              brandName: $this.name,
              viewStyle: viewStyle
            }
          })

        },
        getData: function(){
            var $this = this;

            var query_data = {
              'id': $this.id,
              'topCount': $this.topCount
            }

            api.showProgress();
            $app.ajax.get('/api/album/GetImageByBrandId', query_data, function(res){
              //业务处理
              api.hideProgress();
              if(res.Code == 1){
                var data = res.Data
                $this.dataItems = data.map(function(column){
                    var _imageList = column['ImageList'].map(function(item) {
                        return {
                          'id': item['fdImagID'],
                          'title': $this.oneEmpty(item['fdImagName']),
                          'image': $this.absoluteUrl(item['fdImagSmallPath']),
                          'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                          'size': item['fdImagSize'],
                          'model': item['fdImagStyle'],
                          'detail': item['DetailImageList'],
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'brand': item['Brand'],
                          'style': item['Style'],
                          'type': item['Type'],
                          'view': item['VisitCount'],
                          'time': $this.formatTime(item['Model']['fdModePublishTime'])
                        }
                    })
                    return {
                      'cid': column['fdColuID'],
                      'title': $this.oneEmpty(column['fdColuName']),
                      'count': column['ImageCount'] + '张',
                      'items': _imageList
                    }
                })
              }
            })
        }

      }
    })
}
