var vm;

apiready = function() {

  vm = new Vue({
    el: '#content',
    mixins: [mixin],
    data: {
      navItems: ['选择收藏夹', '新增收藏夹'],
      navIndex: 0,

      favItems: [
        // {
        //   id: 1,
        //   name: '我的收藏夹',
        //   selected: false
        // },
        // {
        //   id: 2,
        //   name: '图库收藏夹',
        //   selected: false
        // },
        // {
        //   id: 3,
        //   name: '书刊收藏夹',
        //   selected: false
        // }
      ],

      favName: '',

      keyword: '',

      filterItems: [],

      favData: {
        itemid: '',
        itemname: '',
        favid: '', //图片，书刊，素材，款式ID
        favtype: '' //1 图片，2 素材，款式, 3 书刊
      }

    },
    computed: {
        favSelectItem: function(){
            var $this = this;
            return $this.favItems.find(item => item.selected)
        }
    },
    created: function() {
      this.favData = api.pageParam
      this.getFavItemData()
    },
    mounted: function(){

    },
    methods: {
      keywordChange: function (event) {
        var $this = this
        // console.log(event.keyCode)
        // console.log(event.target.value)
        $this.favItems = $this.filterData(event.target.value)
      },
      // 刷选数据
      filterData: function (filter) {
        var $this = this
        var ret = []
        var data = $this.filterItems
        if (data.length > 0) {
          for (var i = 0; i < data.length; i++) {
            if (data[i]['name'].toLowerCase().indexOf(filter.toLowerCase()) > -1) {
              ret.push(data[i])
            }
          }
        }
        return ret.length > 0 ? ret : data
      },

      tabClick: function(index){
        this.navIndex = index
      },
      favItemClick: function(index) {
        var fav = this.favItems[index]
        this.favItems = this.favItems.map(function(item){
          item['selected'] = false
          return item
        })
        this.favItems[index]['selected'] = !this.favItems[index]['selected']
      },
      favSubmit: function() {
        var $this = this
        if ($this.navIndex == 0){
          if(!$this.favSelectItem){
            api.toast({
                msg: '请选择收藏夹',
                duration: 2000,
                location: 'bottom'
            });
            return
          }
          $this.favData['itemid'] = $this.favSelectItem['id']
          $this.favData['itemname'] = $this.favSelectItem['name']
        }
        if ($this.navIndex == 1){
          if($this.favName == ''){
            api.toast({
                msg: '请填写收藏夹名称',
                duration: 2000,
                location: 'bottom'
            });
            return
          }
          $this.favData['itemid'] = 0
          $this.favData['itemname'] = $this.favName
        }

        var valid = true
        for (const key in $this.favData) {
          if (Object.hasOwnProperty.call($this.favData, key)) {
            if ($this.favData[key].toString() == '') {
              valid = false
              break
            }
          }
        }
        console.log(JSON.stringify($this.favData))
        if (valid){
          this.addFav($this.favData)
        }else{
          api.toast({
              msg: '参数错误',
              duration: 2000,
              location: 'bottom'
          });
        }
      },
      addFav: function(data) {
        api.showProgress({
            title: '请稍等',
            text: '努力收藏中'
        });

        $app.ajax.get('/api/user/AddFav', data, function(res){
          console.log(JSON.stringify(res))
          api.hideProgress();

          if(res.Code == 1){
            api.toast({
                msg: '收藏成功',
                duration: 2000,
                location: 'bottom'
            })
            setTimeout(function() {
              api.closeFrame();
            }, 500)
          }
        })
      },
      getFavItemData: function() {
        var $this = this
        $app.ajax.get('/api/user/GetUserFavoriteItemList', {key: ''}, function(res) {
          if(res.Code == 1){
            var data = res.Data
            if(data.length > 0){
              $this.favItems = data.map(function(item) {
                return {
                  id: item['fdFaItID'],
                  name: item['fdFaItName'],
                  selected: false
                }
              })
              $this.filterItems = $this.favItems
            }else{
              $this.navIndex = 1
            }
          }
        })
      }
    }
  })

}
