var vm;

function handleAction(status) {
    vm.itemStatus = status
}

apiready = function() {

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            itemStatus: 0,
            dataItems: [],
            filterItems: [],

            showFavEdit: false,
            favId: '',
            favName: '',

            keyword: ''
        },
        created: function(){
          this.getData()
        },
        methods: {
          keywordChange: function (event) {
            var $this = this
            // console.log(event.keyCode)
            // console.log(event.target.value)
            $this.dataItems = $this.filterData(event.target.value)
          },
          // 刷选数据
          filterData: function (filter) {
            var $this = this
            var ret = []
            var data = $this.filterItems
            if (data.length > 0) {
              for (var i = 0; i < data.length; i++) {
                if (data[i]['name'].toLowerCase().indexOf(filter.toLowerCase()) > -1) {
                  ret.push(data[i])
                }
              }
            }
            return ret.length > 0 ? ret : data
          },
          editFav: function(index) {
            this.showFavEdit = true
            this.favId = this.dataItems[index]['id']
            this.favName = this.dataItems[index]['name']
          },
          favEditSubmit: function() {
            var $this = this
            if(this.favName == ''){
              api.toast({
                  msg: '请填写收藏夹名称',
                  duration: 2000,
                  location: 'bottom'
              });
              return
            }

            var query_data = {
              itemid: this.favId,
              itemname: this.favName
            }

            api.showProgress({title: '请稍等', text: '正在操作中'});
            console.log(JSON.stringify(query_data))
            $app.ajax.get('/api/user/EditFavItem', query_data, function(res) {
              api.hideProgress();
              console.log(JSON.stringify(res))
              if(res.Code == 1){
                $this.getData()
              }else{
                api.toast({
                    msg: res.Message,
                    duration: 2000,
                    location: 'bottom'
                })
              }
              $this.showFavEdit = false
            })
          },
          openFavImageWin: function(index) {
            if(this.itemStatus == 1) return;
            var _pageParam = this.dataItems[index]
            $app.openWin({
                name: 'fav-image',
                url: '../fav_image/fav_image.html',
                pageParam: _pageParam
            })
          },
          getData: function(){
            var $this = this
            $app.ajax.get('/api/user/GetUserFavoriteItemList', {key: ''}, function(res){
              //业务处理
              console.log(JSON.stringify(res))
              if(res.Code == 1){
                var data = res.Data
                if(data.length > 0){
                  var _dataItems = []
                  data.map(function(item){
                      var _item = {
                        'id': item['fdFaItID'],
                        'name': $this.oneEmpty(item['fdFaItName'])
                      }
                    _dataItems.push(_item)
                  })
                  $this.dataItems = $this.filterItems = _dataItems
                }
              }
            })
          }
        }
    })
}
