var vm;


apiready = function () {

    //监听刷选内容
    api.addEventListener({
        name: 'changeFilterPane'
    }, function (ret, err) {
        console.log(JSON.stringify(ret))
        if(ret){
            vm.filterPane = ret.value.name
            vm.filterNavigation = ret.value.navigation
            vm.filterColumn = ret.value.column
            vm.eventPage = ret.value.eventPage
            vm.filterQuery = ret.value.items

            vm.keyword = ''
            vm.navIndex = 0
            vm.getData()
            $app.win.scrollTo(0, 0)
        }
    });

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            filterPane: '', //photo_filter, book_filter
            filterNavigation: '',
            filterColumn: '',
            filterQuery: [],

            filterItems: [],

            keyword: '',
            brandData: [],
            brandJsonData: [],

            navIndex: 0,
            selectData: [
              {
                name: '属性',
                items: []
              },
              {
                name: '品牌',
                items: []
              }
            ],

            _propertyData: [],
            _childrenPropertyData: [],
            _brandData: [],

            brandSize: 10 //显示的品牌数

        },
        computed: {
            selectItems: function(){
                return this.selectData
            },
            brandItems: function () {
                return this.brandData
            },
        },
        mounted: function(){

        },
        methods: {
            keywordChange: function (event) {
              var $this = this
              if(!(event.keyCode === 13)){
                console.log(event.keyCode)
                console.log(event.target.value)
                $this.brandData = $this.filterData(event.target.value)
              }

            },
            // 刷选数据
            filterData: function (filter) {
              var $this = this
              var ret = []
              var data = $this.brandJsonData
              if (data.length > 0) {
                for (var i = 0; i < data.length; i++) {
                  var brand = {
                    'letter': data[i]['FirstChar'],
                    'items': [],
                    'show': false
                  }
                  var _brandItems = []
                  var _brandList = data[i]['BrandList']
                  var _index = 0
                  for (var j = 0; j < _brandList.length; j++) {
                    var item = _brandList[j]
                    var index = $this.filterQuery.findIndex(element => element['id'] == item['fdBranID'])

                    if (item['fdBranName'].toLowerCase().indexOf(filter.toLowerCase()) > -1) {
                      _index++
                      _brandItems.push({
                        'id': item['fdBranID'],
                        'name': item['fdBranName'],
                        'cname': item['fdBranChineseName'],
                        'selected': index > -1 ? true : false,
                        'show': _index < $this.brandSize ? true : false
                      })
                    }
                  }
                  brand['items'] = _brandItems
                  ret.push(brand)
                }
              }
              return ret
            },
            viewMoreBrand: function (i) {
              var $this = this;
              var _brandItems = $this.brandItems[i]['items']
              $this.brandItems[i]['show'] = !$this.brandItems[i]['show']
              if ($this.brandItems[i]['show']) {
                _brandItems.map(function (item, index) {
                  item['show'] = true
                })
              } else {
                _brandItems.map(function (item, index) {
                  item['show'] = index < $this.brandSize ? true : false
                })
              }

            },
            //监听更新数据
            getData: function(){
                if(this.filterPane == 'book_filter'){
                    //获取数据
                    this.getFilterData()
                }

                if(this.filterPane == 'photo_filter'){
                    //获取数据
                    this.getFilterData()
                    this.getBrandData()
                }

            },
            initFilter: function(){
              this.filterItems.map(function(filter){
                filter.items.map(function(item){
                  item['selected'] = false
                  if(item['items'].length > 0){
                    item['items'].map(function(child) {
                      child['selected'] = false
                      child['children'] = false
                    })
                  }
                })
              })
              this.brandItems.map(function(brand) {
                brand.items.map(function(item){
                  item['selected'] = false
                })
              })
            },
            resetFilter: function(){
              this.initFilter()
              this._propertyData = []
              this._childrenPropertyData = []
              this._brandData = []

              this.selectData[0]['items'] = []
              this.selectData[1]['items'] = []

              this.closeFilter()

              $app.closePane()

            },
            submitFilter: function(){
                $app.closePane()
                this.getStyleValue()
                this.getChildrenValue()
                this.getBrandValue()

                if(this._childrenPropertyData){
                  this._propertyData = this.contact(this._propertyData, this._childrenPropertyData)
                }
                if(this._propertyData){
                  this.selectData[0]['items'] = this._propertyData
                }
                if(this._brandData){
                  this.selectData[1]['items'] = this._brandData
                }

                console.log(JSON.stringify(this.selectData))
                //逻辑处理
                this.closeFilter()
            },
            closeFilter: function(){
              var _extra = {
                  data: this.selectData
              }
              switch (this.eventPage) {
                  case 'trend': //趋势
                    api.sendEvent({
                        name: 'trendFilterPane',
                        extra: _extra
                    });
                  break;
                  case 'recommend': //推荐
                    api.sendEvent({
                        name: 'recommendFilterPane',
                        extra: _extra
                    });
                  break;
                  case 'style': //款式
                    api.sendEvent({
                        name: 'styleFilterPane',
                        extra: _extra
                    });
                  break;
                  case 'material': //素材
                    api.sendEvent({
                        name: 'materialFilterPane',
                        extra: _extra
                    });
                  break;
                  case 'book': //书刊
                    api.sendEvent({
                        name: 'bookFilterPane',
                        extra: _extra
                    });
                  break;
                default:

              }
            },

            brandClick: function(i, j){
                var $this = this;
                var _parent = $this.brandItems[i]['items']

                $this.brandItems.map(function(brand) {
                  brand['items'].map(function(item) {
                    item['selected'] = false
                  })
                })

                _parent.map(function(item, index){
                    if(j == index){
                        _parent[index]['selected'] = !_parent[index]['selected']
                    }
                })
            },
            getBrandValue: function(){
              var $this = this;
              $this._brandData = []
              $this.brandItems.map(function(brand){
                brand.items.map(function(item){
                  if(item['selected'] == true) $this._brandData.push(item)
                })
              })
              console.log(JSON.stringify($this._brandData))
            },

            styleClick: function(i, j){
                var $this = this;
                var _parent = $this.filterItems[i]['items']

                if (_parent[j]['items'].length == 0) {
                  _parent[j]['selected'] = !_parent[j]['selected']
                } else {
                  _parent[j]['children'] = !_parent[j]['children']
                }

            },
            getStyleValue: function(){
              var $this = this;
              $this._propertyData = []
              $this.filterItems.map(function (filter) {
                filter.items.map(function (item) {
                  if (item['selected'] == true && item['items'].length == 0) {
                    $this._propertyData.push({
                      'id': item['id'],
                      'name': item['name'],
                      'selected': item['selected']
                    })
                  }
                })
              })
              console.log(JSON.stringify($this._propertyData))
            },

            closeClick: function (i, j) {
              var $this = this
              $this.filterItems[i]['items'][j]['children'] = false
              var _parent = $this.filterItems[i]['items'][j]['items']
              var isSelected = false
              _parent.map(function (item, index) {
                if (_parent[index]['selected'] == true) {
                  isSelected = true
                }
              })
              $this.filterItems[i]['items'][j]['children'] = false
              if (isSelected) {
                $this.filterItems[i]['items'][j]['selected'] = true
              } else {
                $this.filterItems[i]['items'][j]['selected'] = false
              }

            },

            submitClick: function(i, j) {
              var $this = this
              $this.closeClick(i, j)
            },
            getChildrenValue: function(){
              var $this = this
              $this._childrenPropertyData = []
              $this.filterItems.map(function (filter) {
                filter.items.map(function (item) {
                  if (item['items'].length > 0) {
                    item['items'].map(function (child) {
                      if (child['selected'] == true) {
                        $this._childrenPropertyData.push({
                          'id': child['id'],
                          'name': child['name'],
                          'selected': child['selected']
                        })
                      }
                    })
                  }
                })
              })
              console.log(JSON.stringify($this._childrenPropertyData))
            },

            childClick: function (i, j, k) {
              var $this = this;
              var _parent = $this.filterItems[i]['items'][j]['items']
              if (k == 0) {
                _parent.map(function (item, index) {
                  _parent[index]['selected'] = false
                })
                _parent[0]['selected'] = true
              } else {
                _parent[0]['selected'] = false
                _parent[k]['selected'] = !_parent[k]['selected']
              }
            },

            selectNav: function (index) {
                this.navIndex = index;
            },

            filterOpenMore: function(index) {
              var $this = this
              var item = $this.filterItems[index]
              item['open'] = !item['open']
              if (item['open']) {
                item['items'].map(function (_item) {
                  return _item['show'] = true
                })
              } else {
                item['items'].map(function (_item, _index) {
                  return _item['show'] = _index < 12 ? true : false
                })
              }
            },
            //获取数据
            getFilterData: function(){
                var $this = this
                switch ($this.filterColumn) {
                  case 0: //趋势
                    url= '/api/article/GetPropertyList'
                    break
                  case 1: //款式
                    url= '/api/public/GetPropertyList'
                    break
                  case 2: //书刊
                    url= '/api/book/GetPropertyList'
                    break
                  case 3: //素材
                    url= '/api/album/GetPropertyList'
                    break
                  default:
                }
                $app.ajax.get(url, {cid: $this.filterNavigation}, function(res){
                  // console.log(JSON.stringify(res))
                  if(res.Code == 1){
                    var data = res.Data
                    var ret = []
                    if (data.length > 0) {
                      for (var i = 0; i < data.length; i++) {
                        var parentId = data[i]['Parent']['fdPropID']
                        var item = {
                          'id': data[i]['Parent']['fdPropID'],
                          'name': data[i]['Parent']['fdPropName'],
                          'more': (parentId == 3 || parentId == 4) ? true : false, //国家（3），季度（4）
                          'open': (parentId == 3 || parentId == 4) ? false : true,
                          'items': []
                        }
                        item['items'] = data[i]['Children'].map(function (item, k) {
                          var index = $this.filterQuery.findIndex(element => element['id'] == item['fdPropID'])

                          var _items = []
                          if (item['Children'] != null) {
                            _items = item['Children'].map(function (child) {
                              var j = $this.filterQuery.findIndex(element => element['id'] == child['fdPropID'])
                              return {
                                'id': child['fdPropID'],
                                'name': child['fdPropName'],
                                'selected': j > -1 ? true : false
                              }
                            })
                            _items.unshift({
                              'id': item['fdPropID'],
                              'name': item['fdPropName'],
                              'selected': index > -1 ? true : false
                            })
                          }

                          //国家（3），季度（4）显示前12个
                          var _show = true
                          if(parentId == 3 || parentId == 4){
                            if(k > 11) _show = false
                          }
                          return {
                            'id': item['fdPropID'],
                            'name': item['fdPropName'],
                            'selected': index > -1 ? true : false,
                            'children': false,
                            'show': _show,
                            'items': _items
                          }

                        })
                        ret.push(item)
                      }
                    }
                    $this.filterItems = ret
                    // console.log(JSON.stringify(ret))
                  }
                })
            },
            getBrandData: function(){
                var $this = this
                $app.ajax.get('/api/public/GetBrandListBy', {type: $this.filterColumn, cid: $this.filterNavigation}, function(res){
                  // console.log(JSON.stringify(res))

                  // var data = res.Data
                  // var ret = []
                  // if (data.length > 0) {
                  //   for (var i = 0; i < data.length; i++) {
                  //     var item = {
                  //       'letter': data[i]['FirstChar'],
                  //       'items': []
                  //     }
                  //     item['items'] = data[i]['BrandList'].map(function (item) {
                  //       var index = $this.filterQuery.findIndex(element => element['id'] == item['fdBranID'])
                  //       return {
                  //         'id': item['fdBranID'],
                  //         'name': item['fdBranName'],
                  //         'cname': item['fdBranChineseName'],
                  //         'selected': index > -1 ? true : false
                  //       }
                  //     })
                  //     ret.push(item)
                  //   }
                  // }
                  // $this.brandData = ret

                  $this.brandJsonData = res.Data
                  $this.brandData = $this.filterData('')
                })
            }
        },
    })

}
