var vm;

apiready = function(){

    // var windows = api.windows();
    // api.alert({
    //     msg:JSON.stringify(windows)
    // });

    vm = new Vue({
        el: '#content',
        data: {
            loginType: 'account', // account, qcode, phone, binddevice
            loginAgree: true,
            username: '',
            password: '',
            authcode: '',
            phone: '',
            code: '',
            codeText: '获取验证码',
            isGetCode: false,
            timer: null,
            isRemember: false
        },
        created: function() {
          var _remember = $user.getRemember()
          if(_remember){
            var login_data = JSON.parse(_remember)
            this.username = login_data['userName']
            this.password = login_data['password']
            this.isRemember = true
          }
        },
        methods: {
            handleLogin: function(){
              var $this = this
              if($this.username == ''){
                api.toast({
                    msg: '请填写登录账号',
                    duration: 2000,
                    location: 'bottom'
                });
                return
              }
              if($this.password == ''){
                api.toast({
                    msg: '请填写登录密码',
                    duration: 2000,
                    location: 'bottom'
                });
                return
              }
              var query_data = {
                'userName': $this.username,
                'password': $this.password,
                'deviceId': api.deviceId,
                'hours': 1080
              }
              $app.ajax.postq('/api/user/UserLogin', query_data, function(res){
                console.log(JSON.stringify(res))
                //未绑定设备
                if(res.Code == 3){
                  $this.loginType = 'binddevice'
                }
                //未绑定手机
                if(res.Code == 4){
                  $this.loginType = 'phone'
                }
                //账号密码错误
                if(res.Code == 2){
                  api.toast({
                      msg: '填写账号或密码错误',
                      duration: 2000,
                      location: 'bottom'
                  });
                }
                //登录成功
                if(res.Code == 1){
                  var data = res.Data
                  var user = {
                      Company: data['fdMembCompany'],
                      MemberName: data['MemberName'],
                      NickName: data['fdMembNickName'],
                      MemberType: data['VIP'],
                      HasViewPermission: data['HasViewPermission'],
                      HasDownloadPermission: data['HasDownloadPermission'],
                      VipStartTime: data['fdMembVipStartTime'],
                      VipEndTime: data['fdmembVipEndTime'],
                      TicketExpire: data['fdMembTicketExpire'],
                      TICKET: data['fdMembTicket'],
                      ID: data['fdMembID']
                  }
                  $user.setLogin(JSON.stringify(user))
                  // 保存账号密码到本地
                  $user.setLoginInfo(JSON.stringify(Object.assign(query_data,{expire: data['fdMembTicketExpire']})))
                  // 记住密码
                  $user.delRemember()
                  if($this.isRemember) $user.setRemember(JSON.stringify(query_data))

                  api.closeWin({
                      name: api.winName
                  });
                  api.sendEvent({
                      name: 'user-login-success',
                      extra: {
                          status: 1
                      }
                  });
                }
              })
            },
            handleDevice: function() {
              var $this = this
              if($this.authcode == ''){
                api.toast({
                    msg: '请填写授权码',
                    duration: 2000,
                    location: 'bottom'
                });
                return
              }
              var query_data = {
                'userName': $this.username,
                'password': $this.password,
                'deviceId': api.deviceId,
                'jiGuangID':  $user.getAjpush(),
                'accountCode': $this.authcode
              }
              console.log(JSON.stringify(query_data))
              $app.ajax.postq('/api/user/BindUserDeviceID', query_data, function(res){
                console.log(JSON.stringify(res))
                if(res.Code == 1){
                  $this.loginType = 'phone'
                }else{
                  api.toast({
                      msg: '校验码不存在或已过期',
                      duration: 2000,
                      location: 'bottom'
                  });
                }
              })
            },
            handleGetCode: function() {
              var $this = this
              if($this.phone == ''){
                api.toast({
                    msg: '请填写手机号码',
                    duration: 2000,
                    location: 'bottom'
                });
                $this.$refs.phone.focus()
                return
              }
              if($this.phone.length != 11){
                api.toast({
                    msg: '手机号码错误',
                    duration: 2000,
                    location: 'bottom'
                });
                $this.$refs.phone.focus()
                return
              }

              var query_data = {
                'deviceId': api.deviceId,
                'mobile': $this.phone
              }
              $app.ajax.postq('/api/user/SendMobleCode', query_data, function(res){
                console.log(JSON.stringify(res))
                if(res.Code == 1){
                  $this.isGetCode = true;
                  api.toast({
                      location: 'bottom',
                      duration: 2000,
                      msg: '验证码已发送'
                  });
                  var i = 60;
                  var t = setInterval(function() {
                    if (i == 0) {
                        i = 60;
                        $this.isGetCode = false;
                        $this.codeText = '获取验证码'
                        clearInterval(t);
                    } else {
                        $this.codeText = '已发送(' + i + '秒)'
                        i--;
                    }
                  }, 1000)
                }else{
                  api.toast({
                      msg: '手机号码错误',
                      duration: 2000,
                      location: 'bottom'
                  });
                  $this.$refs.phone.focus()
                  return
                }
              })
            },
            handleBindPhone: function() {
              var $this = this
              if($this.phone == ''){
                api.toast({
                    msg: '请填写手机号码',
                    duration: 2000,
                    location: 'bottom'
                });
                $this.$refs.phone.focus()
                return
              }
              if($this.code == ''){
                api.toast({
                    msg: '请填写验证码',
                    duration: 2000,
                    location: 'bottom'
                });
                $this.$refs.code.focus()
                return
              }
              var query_data = {
                'deviceId': api.deviceId,
                'mobile': $this.phone,
                'accountCode': $this.code
              }
              $app.ajax.postq('/api/user/BindUserMobile', query_data, function(res){
                console.log(JSON.stringify(res))
                if(res.Code == 1){
                  //重新登录
                  $this.handleLogin()
                  //打开关注品牌
                  $this.openInterestWin()

                }else{
                  api.toast({
                      msg: '校验码不存在或已过期',
                      duration: 2000,
                      location: 'bottom'
                  });
                  return
                }

              })

            },
            openInterestWin: function() {
              api.openWin({
                  name: 'interest-win',
                  url: 'widget://html/interest/interest.html',
                  rect: {
                      x: 0,
                      y: 0,
                      w: 'auto',
                      h: 'auto'
                  },
                  bgColor: 'rgba(255, 255, 255, 0)',
                  pageParam: {},
                  bounces: false,
                  useWKWebView: true,
                  vScrollBarEnabled: false, //是否显示垂直滚动条
                  hScrollBarEnabled: false, //是否显示水平滚动条
                  reload: false,
                  allowEdit: true,
              });
            },
            openCustomerService: function() {
              $app.openWebBrowser($app.config.website.customerService, false)
            },
            openPrivacyPolicy: function(){
                $app.openWebBrowser($app.config.website.privacyPolicy, false)
            },
            openAgreement: function(){
                $app.openWebBrowser($app.config.website.agreement, false)
            }
        }
    })

}
