var headerH, footerH
var FNScanner;

//定义每个frame对应的header
var frames = [{
    header: 'home-header',
    frame: 'home_frame'
},
{
    header: 'style-header',
    frame: 'style_frame'
},
{
    header: 'book-header',
    frame: 'book_frame'
},
{
    header: 'new-header',
    frame: 'new_frame'
},
// {
//     header: 'find-header',
//     frame: 'find_frame'
// },
{
    header: 'my-header',
    frame: 'my_frame'
}]

// 隐藏所有frame
function hideAllFrame() {
    for (var i = 0; i < frames.length; i++) {
        if (frames[i]['frame'] == 'home_frame') {
            api.setFrameGroupAttr({
                name: frames[i]['frame'],
                hidden: true
            });
        } else {
            api.setFrameAttr({
                name: frames[i]['frame'],
                hidden: true
            });
        }
    }
}

// 切换头部
function switchHeaderUi(index) {
    var lis = $api.domAll('.header');
    var len = lis.length;
    var curLi = lis[index];

    for (var i = 0; i < len; i++) {
        var thisLi = lis[i];
        if (thisLi === curLi) {
            $api.addCls(thisLi, 'active');
            continue;
        } else {
            if ($api.hasCls(thisLi, 'active')) {
                $api.removeCls(thisLi, 'active');
            }
        }
    }
}

//切换底部
function switchFooterUi(index) {
    var lis = $api.domAll($api.byId('footer'), '.item');
    var len = lis.length;
    var curLi = lis[index];

    for (var i = 0; i < len; i++) {
        var thisLi = lis[i];
        if (thisLi === curLi) {
            $api.addCls(thisLi, 'selected');
            continue;
        } else {
            if ($api.hasCls(thisLi, 'selected')) {
                $api.removeCls(thisLi, 'selected');
            }
        }
    }
}

//切换菜单
function switchMenuUi(index) {
    var lis = $api.domAll($api.byId('menu'), '.item');
    var len = lis.length;
    var curLi = lis[index];

    for (var i = 0; i < len; i++) {
        var thisLi = lis[i];
        if (thisLi === curLi) {
            $api.addCls(thisLi, 'selected');
            continue;
        } else {
            if ($api.hasCls(thisLi, 'selected')) {
                $api.removeCls(thisLi, 'selected');
            }
        }
    }
}

function switchUi(index) {
    switchHeaderUi(index);
    switchFooterUi(index);
}


// 打开frame
function openFrame(framename, url, index, id) {
    if (!index) index = 0;
    if (!id) id = '';
    hideAllFrame();
    switchUi(index);
    headerH = $app.ui.fixHeader('' + frames[index]['header'] + '');
    api.openFrame({
        name: framename,
        url: url,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto',
            marginTop: headerH,
            marginBottom: footerH
        },
        bounces: false,
        // reload: true,
        pageParam: {
            headerH: headerH,
            id: id
        },
        bgColor: 'rgba(0,0,0,0)',
        vScrollBarEnabled: false,
        hScrollBarEnabled: false
    });
    api.bringFrameToFront({
        from: framename
    });
}

// 首页
function switchHomeFrame() {
    var index = 0;
    hideAllFrame();
    switchUi(index);
    headerH = $app.ui.fixHeader('' + frames[index]['header'] + '');
    api.openFrameGroup({
        name: 'home_frame',
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto',
            marginTop: headerH,
            marginBottom: footerH
        },
        frames: [
            {
                name: 'home_recommend_frame',
                url: 'widget://html/home/recommend/recommend.html'
            },
            {
                name: 'home_trend_frame',
                url: 'widget://html/home/trend/trend.html'
            },
            {
                name: 'home_style_frame',
                url: 'widget://html/home/style/style.html'
            },
            {
                name: 'home_material_frame',
                url: 'widget://html/home/material/material.html'
            },
            {
                name: 'book_frame',
                url: 'widget://html/book/book/book.html',
                reload: true,
                pageParam: {
                    headerH: headerH
                }
            }
        ]
    }, function (ret, err) {
        var index = ret.index;
        switchMenuUi(index);
    });
    api.sendEvent({
        name: 'resetFrameGroupTop',
        extra: {}
    });
    api.setFrameGroupIndex({
        name: 'home_frame',
        index: 0
    });
}

//菜单
function switchMenu(index) {
    api.setFrameGroupIndex({
        name: 'home_frame',
        scroll: true,
        index: index - 1
    });
}


function switchTrendFrame() {
    // openFrame('style_frame', 'widget://html/type/type/type.html', 1);
    openFrame('style_frame', 'widget://html/home/trend/trend.html', 1, 2);
}

function switchStyleFrame() {
    openFrame('book_frame', 'widget://html/home/style/style.html', 2, 5);
}

// 推荐
function switchRecommendFrame() {
    openFrame('new_frame', 'widget://html/new/new/new.html', 3);
}

// 我的
function switchMyFrame() {
    openFrame('my_frame', 'widget://html/my/home/home.html', 4);
}

// 二维码扫码
function openScann() {
    var permission = 'camera';
    var resultList = api.hasPermission({list: [permission]});
    if(!resultList[0].granted){
      api.confirm({
          msg: '没有授权应用访问相机权限',
          buttons: ['取消', '去设置']
      }, function(ret) {
          if (ret.buttonIndex == 2) {
              api.requestPermission({
                  list: [permission],
              }, function(res) {
                  if (res.list[0].granted) {
                      api.toast({
                          msg: '已授权',
                          duration: 2000,
                          location: 'bottom'
                      });

                  }
              });
          }
      });
    }
    FNScanner.open({
        autorotation: true,
        isDrawQRCodeRect: true,
        isAlbum: true,
        isLight: true,
        font: {
            hintText: {
                size: 13,
                color: '#ffffff',
            },
            albumText: {
                size: 13,
                color: '#ffffff',
            },
            lightText: {
                size: 13,
                color: '#ffffff',
            }

        }
    }, function (ret, err) {
        switch (ret.eventType) {
            case 'fail':
                api.toast({
                    msg: '扫码失败，请稍后再试',
                    duration: 2000,
                    location: 'bottom'
                });

                break;
            case 'cameraError':
                api.toast({
                    msg: '访问摄像头失败',
                    duration: 2000,
                    location: 'bottom'
                });
                break;
            case 'success':
                if (ret.content) {
                  var _userlogin = $user.checkLogin()
                  if(!_userlogin){
                    $app.openLogin();
                  }else{
                    $app.openWin({
                        name: 'scan-login-win',
                        url: api.wgtRootDir + '/html/scan/login/login.html',
                        pageParam: {
                            token: ret.content
                        }
                    });
                  }

                    // var result = checkScanContent(ret.content);
                    // if (result.type == 'text') {
                    //     alert(result.content);
                    // } else if (result.type == 'web') {
                    //     var _userlogin = $user.checkLogin()
                    //     if(!_userlogin){
                    //       $app.openLogin();
                    //     }else{
                    //       var _user = JSON.parse($user.getLogin())
                    //       var TICKET = _user['TICKET']
                    //       var ID = _user['ID']
                    //       $app.openWebBrowser(result.content);
                    //     }
                    // }
                }
                break;
            default:
                break;
        }
    });
}

// 检测扫码内容
function checkScanContent(str) {
    var result = {
        type: 'text',
        content: str
    };
    if (str.indexOf('http://') > -1 || str.indexOf('https://') > -1) {
        result = {
            type: 'web',
            content: str
        };
    } else if (str.indexOf('app://') > -1) {
        result = {
            type: 'app',
            content: str.replace('app://', '')
        };
    }
    return result;
}

// 搜索
function openSearchWin() {
    $app.openWin({
        name: 'search-win',
        url: 'widget://html/search/search/search.html',
    })
}

// 客服
function openContactWin(){
  // $app.openWebBrowser($app.config.website.contactus, false)
  $app.openDrawerWin({
    name: 'style-win',
    url: 'widget://html/style/style.html',
    pageParam: {
      id: 0
    }
  })
}

// 找款
function openTypeResultWin(){
    api.execScript({
        name: this.winName,
        frameName: 'style_frame',
        script: 'selectSubmit();'
    });

}

// 关闭权限说明
function closePermissionFrame() {
    api.execScript({
        frameName: 'pop-frame',
        script: 'closePop();'
    });
    $user.set('agreePermission', true)
}

function closePermissionFrame2() {
  api.execScript({
      frameName: 'pop-frame',
      script: 'closePop();'
  });
}

// 隐私政策
function openPrivacyPolicy(){
    $app.openWebBrowser($app.config.website.privacyPolicy, false)
}

// 用户协议
function openAgreement(){
    $app.openWebBrowser($app.config.website.agreement, false)
}

apiready = function () {

    // 监听页面打开事件
    api.addEventListener({
        name: 'changeGroupFrameFromBanner'
    }, function(ret, err){
        if( ret ){
             var data = ret.value.pageParam
             api.setFrameGroupIndex({
                 name: 'home_frame',
                 scroll: true,
                 index: data['index']
             });
             setTimeout(function(){
               api.execScript({
                  frameName: data['name'],
                  script: 'frameClick('+ JSON.stringify(data) +')'
              })
             }, 100)
        }
    });


    FNScanner = api.require('FNScanner');

    //监听应用回到前台
    api.addEventListener({
        name: 'resume'
    }, function (ret, err) {
        FNScanner.onResume();
    });

    //监听应用回到后台
    api.addEventListener({
        name: 'pause'
    }, function (ret, err) {
        FNScanner.onPause();
    });

    footerH = $app.ui.fixFooter();

    // 打开首页
    switchHomeFrame();

    // 权限说明
    if (!$user.get('agreePermission')) {
        $app.openPermission()
    }

    // 关闭app
    api.addEventListener({
        name: 'swiperight'
    }, function (ret, err) {
        api.closeWidget();
    });

    api.addEventListener({
        name: 'keyback'
    }, function (ret, err) {
        api.closeWidget();
    });


};
