var vm;

apiready = function(){


    // 监听到登录成功
    api.addEventListener({
        name: 'user-login-success'
    }, function(ret, err){
        console.log(JSON.stringify(ret))
        vm.isLogin = true
        vm.getUserInfo()
    });

    //监听密码修改后退出登录
    api.addEventListener({
        name: 'user-modify-password-logout'
    }, function(ret, err){
        $user.delRemember()
        vm.loginOut()
    });


    // 渲染页面
    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            isLogin: false,
            userInfo: {}
        },
        computed: {
            companyName: function(){
                var $this = this;
                var _name = this.userInfo['fdMembName']
                if(this.userInfo['memberNickName'] != '') _name =  this.userInfo['memberNickName']
                if(this.userInfo['memberCompany'] != '') _name =  this.userInfo['memberCompany']
                return _name
            },
            memberType: function(){
              return this.userInfo['memberVip']
            },
            vipTime: function(){
              var name = this.userInfo.fdMembName
              var start = this.userInfo.memberVipStartTime + ''
              var end  = this.userInfo.memberVipEndTime + ''
              var endarr = end.split('.')
              var time = endarr[0] + '年' + endarr[1] + '月' + endarr[2] + '日'
              // return '有效期: '+ start +' ~ '+ end +''
              return '账号:'+ name +' 有效期到' + time
            }
        },
        created: function(){
          // 判断用户是否已经登录
          if($user.checkLogin()){
              this.isLogin = true
              //其它逻辑操作
              this.getUserInfo()
          }
        },
        mounted: function(){

        },
        methods: {
          getUserInfo: function(){
            var $this = this
            $app.ajax.get('/api/user/GetLoginUserInfo', function(res){
              // console.log(JSON.stringify(res))
              if(res.Code == 1){
                var data = res.Data
                if(data){
                  $this.userInfo = {
                    memberID: data['fdMembID'],
                    memberName: data['MemberName'], //联系人
                    memberVip: data['AdminVIP'],
                    vip: data['VIP'],

                    loginCount: data['LoginCount'],
                    loginTime: data['fdMembLoginAt'],
                    accountCount: data['AccountCount'],
                    accountList: data['AccountList'],

                    fdMembName: data['fdMembName'], // 登录账号
                    fdMembRegAt: data['fdMembRegAt'],
                    memberNickName: data['fdMembNickName'], //联系人
                    memberCompany: data['fdMembCompany'],
                    memberEmail: data['fdMembEmail'],
                    memberVipLevel: data['fdMembVipLevel'], //
                    memberVipStartTime: $this.formatTime(data['fdMembVipStartTime']),
                    memberVipEndTime: $this.formatTime(data['fdmembVipEndTime']),
                    memberCount: data['fdMembCount']
                  }
                }
              }else{
                //退出登录
                $this.loginOut()
              }
            })
          },
            //注册
            openRegisterWin: function(){
                $app.openWin({
                    name: 'register-win',
                    url: 'widget://html/register/register.html',
                });
            },
            // 登录
            openLoginWin: function(){
                $app.openLogin();
            },
            loginOut: function(){
              $user.setLogout();
              this.isLogin = false;
            },
            //退出登录
            handleLogout: function(){
                this.loginOut()
                //逻辑处理

                api.toast({
                    msg: '已退出登录',
                    duration: 2000,
                    location: 'bottom'
                });
            },
            openFavoriteWin: function(){
                // $app.openWin({
                //     name: 'favorite-win',
                //     url: 'widget://html/my/favorite/favorite.html',
                // });
                $app.openWin({
                    name: 'favorite-win',
                    url: 'widget://html/fav/fav_folder/fav_folder.html',
                });
            },
            openHistoryWin: function(){
                $app.openWin({
                    name: 'history-win',
                    url: 'widget://html/my/history/history.html',
                });
            },
            openDownloadWin: function(){
                $app.openWin({
                    name: 'download-win',
                    url: 'widget://html/my/download/download.html',
                });
            },
            openInterestWin: function(){
                $app.openWin({
                    name: 'interest-win',
                    url: 'widget://html/my/interest/interest.html',
                });
                // $app.openWin({
                //     name: 'interest-win',
                //     url: 'widget://html/interest/interest_win.html',
                // });
            },

            openBindWin: function(){
                $app.openWin({
                    name: 'bind-win',
                    url: 'widget://html/my/bind_phone/bind_phone.html',
                });
            },
            openUnBindWin: function(){
                $app.openWin({
                    name: 'unbind-win',
                    url: 'widget://html/my/unbind/unbind.html',
                });
            },
            openModPwdWin: function(){
                $app.openWin({
                    name: 'modifyPwd-win',
                    url: 'widget://html/my/modify_pwd/modify_pwd.html',
                });
            },
            openContactWin: function(){
                $app.openWebBrowser($app.config.website.contactus, false)
            },
            openSettingWin: function(){
                $app.openWin({
                    name: 'setting-win',
                    url: 'widget://html/my/settings/settings.html',
                });
            },
        },
    })



}
