var vm;

apiready = function() {

  vm = new Vue({
    el: '#content',
    data: {
      itemData: [
          { id: 1, name: '女包', selected: false, brands: [] },
          { id: 2, name: '男包', selected: false, brands: [] },
          { id: 3, name: '皮带', selected: false, brands: [] }
      ],
      hasInterest: true
    },
    created: function() {
      // this.deleteFollowData()
      this.getData()
    },
    methods: {
      editBrand: function(i) {
        this.itemData[i]['selected'] = !this.itemData[i]['selected']
      },
      deleteBrand: function(i, j) {
        var $this = this
        var brand = this.itemData[i]['brands'][j]
        console.log(JSON.stringify(brand))
        var brandJson = JSON.stringify([[brand['id'], brand['type']]])
        api.confirm({
            title: '删除提示',
            msg: '您确认要删除该品牌吗？',
            buttons: ['确定', '取消']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if(index == 1){
              $this.deleteFollowData(brandJson, function() {
                $this.itemData[i]['brands'].splice(j, 1)
              })
            }
        });
      },
      getData: function() {
        this.getFollowData()
      },
      getFollowData: function() {
        var $this = this
        var query_data = {
          'types': '1,2,3',
          'audience': ''
        }
        api.showProgress();
        $app.ajax.get('/api/follow/GetUserFollowList', query_data, function(res) {
          api.hideProgress();
          // console.log(JSON.stringify(res))
          if(res.Code == 1) {
            var itemData = $this.itemData
            var brandData = res.Data
            if(brandData == null || brandData == 'null'){
              $this.hasInterest = false
              return
            }
            for (var i = 0; i < itemData.length; i++) {
              for (var j = 0; j < brandData.length; j++) {
                if (brandData[j]['fdFollType'] == itemData[i]['id']) {
                  var item = brandData[j]
                  itemData[i]['brands'].push({
                    'id': item['Brand']['fdBranID'],
                    'name': item['Brand']['fdBranName'],
                    'update': item['Brand']['ToDayModelCount'] > 0 ? true : false,
                    'type': item['fdFollType'],
                    // 'fdBranPic': item['Brand']['fdBranPic'],
                    // 'fdBranType': item['Brand']['fdBranType'],
                    // 'fdBranTypeName': item['Brand']['fdBranTypeName'],
                  })
                }
              }
            }
            $this.itemData = itemData
          }
        })
      },
      deleteFollowData: function(brandJson, fun) {
        $app.ajax.postq('/api/follow/DeletedFollow?brandJson=' + brandJson, function(res) {
          console.log(JSON.stringify(res))
          if(res.Code == 1){
            if(typeof(fun) == 'function') fun()
          }else{
            api.toast({
                msg: '删除失败',
                duration: 2000,
                location: 'bottom'
            });
          }
        })
      },
      openBrandPushWin: function(i, j, ret) {
        console.log(i, j, ret)
        if(ret) return
        var brand = this.itemData[i]['brands'][j]
        var _type = brand['type']
        var _brandId = brand['id']
        var _brandName = brand['name']
        var _property = []

        if(_type == 1) _property = [{id: 10, name: '女包'}]
        if(_type == 2) _property = [{id: 11, name: '男包'}]

        var _pageParam = {
          brandId: _brandId,
          brandName: _brandName,
          property: _property
        }

        switch (_type) {
          case 1: //女包
          case 2: //男包
            $app.openDrawerWin({
              name: 'brand-push-win',
              url: 'widget://html/brand/push/style.html',
              pageParam: _pageParam
            })
            break;
          case 3: //皮带
            $app.openDrawerWin({
              name: 'brand-push-win',
              url: 'widget://html/brand/push/material.html',
              pageParam: _pageParam
            })
            break;
          default:

        }
      }
    }
  })
}
