var vm;

apiready = function () {

  vm = new Vue({
    el: '#content',
    data: {
      oldPwd: '',
      newPwd: '',
      newConfirmPwd: ''
    },
    computed: {
      isAvailable: function(){
        return (this.oldPwd != '' && this.newPwd != '' && this.newConfirmPwd != '') ? true : false
      }
    },
    methods: {
      handleModify: function () {
        var $this = this
        if($this.newPwd != $this.newConfirmPwd){
          api.toast({
            msg: '两次填写的新密码不一致',
            duration: 2000,
            location: 'bottom'
          })
          return
        }
        var query_data = {
          'pwdOld': $this.oldPwd,
          'pwdNew': $this.newPwd
        }
        $app.ajax.postq('/api/user/UserUpdatePassword', query_data, function(res){
          console.log(JSON.stringify(res))
          if(res.Code == 1){
            api.alert({
                title: '修改成功',
                msg: '用户登陆密码已修改成功，请重新登录!',
            }, function(ret, err){
              api.sendEvent({
                  name: 'user-modify-password-logout'
              });
              api.closeWin()
            });

          }else{
            api.toast({
                msg: res.Message,
                duration: 2000,
                location: 'bottom'
            });
          }
        })
      }
    }
  })

}
