var vm;
var _cid_;

apiready = function() {

  //下拉刷新
  $app.action.getRefresh(function() {
    vm.getData()
  })

  _cid_ = api.pageParam.id || -1

  api.addEventListener({
      name: 'recommendFilterPane'
  }, function(ret, err){
    console.log(JSON.stringify(ret))
      if( ret ){
        var filterData = ret.value.data
        var filterItems = []
        var propertyArr = []
        var brandArr = []

        var _property = filterData[0]
        _property['items'].map(function(item){
          var _item = item
          _item['query'] = 'property'
          filterItems.push(_item)
          propertyArr.push(item['id'])
        })
        var _brand = filterData[1]
        _brand['items'].map(function(item){
          var _item = item
          _item['query'] = 'brand'
          filterItems.push(_item)
          brandArr.push(item['id'])
        })

        var brandId = brandArr.join(',')
        var PropertStringList = propertyArr.join(',')
        vm.filterItems = filterItems
        vm.brandId = brandId
        vm.PropertStringList = PropertStringList
        vm.getData()
      }
  });

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            columnId: 0,
            navId: 32,
            filterItems: [
                // {id: 2, query: 'type', name: '女包'},
                // {id: 3, query: 'season', name: '设计趋势'},
                // {id: 5, query: 'season', name: '2021秋冬'},
            ],
            dataItems: [],

            navigation: '',

            viewstyle: 'list', // list,cascades


            bottomText: '数据加载中',
            showgototop: false,

            key: '',
            brandId: '',
            PropertStringList: '',
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10
        },
        created: function() {
            //初始数据
            this.getData()
        },
        mounted: function() {
            var $this = this

            // 刷选定位
            var filter_bar = document.getElementById('filter-bar');
            var filter_text = document.getElementById('filter-text');
            var filter_items = document.getElementById('filter-items');

            $app.swipe.stop(filter_items);
            $app.win.scroll({
                scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection){
                    if(scrollTop >= filter_bar.offsetTop){
                        filter_text.style.position = 'fixed';
                        $this.showgototop = true;
                    }else{
                        filter_text.style.position = 'absolute';
                        $this.showgototop = false;
                    }
                },
                bottom: function(){

                }
            })

            $app.win.toBottom(function() {
              $this.getMoreData()
            })

        },
        methods: {
            changeViewStyle: function(type){
                this.viewstyle = type
            },
            removeFilter: function(index){
                var $this = this
                var item = $this.filterItems[index]
                console.log(JSON.stringify(item))
                $this.filterItems.splice(index, 1)
                $this.pageIndex = 1
                $this.pageSize = 10
                if (item['query'] == 'brand'){
                  $this.brandId = ''
                }
                if (item['query'] == 'property'){
                  var propertyStr = $this.PropertStringList
                  var propertyArr = []
                  propertyStr.split(',').map(function (property) {
                    if (property != item['id']) propertyArr.push(property)
                  })
                  $this.PropertStringList = propertyArr.join(',')
                }
                //加载数据
                $this.getData()
            },
            selectFilter: function(){
                var $this = this
                $this.navigation = this.navId
                //打开侧边
                $app.openFilterWin({
                    name: 'photo_filter',
                    navigation: $this.navigation,
                    column: $this.columnId,
                    eventPage: 'recommend',
                    items: $this.filterItems
                })
            },
            imageClick: function(index){
                var $this = this
                var _id = $this.dataItems[index]['id']
                var _title = $this.dataItems[index]['title']

                $app.openWin({
                    name: 'trend-win',
                    url: 'widget://html/browser/info/info.html',
                    pageParam: {
                        id: _id,
                        title: _title,
                        name: '今日推荐',
                        hotpage: true
                    }
                })
            },
            //数据源
            getData: function() {
                var $this = this;

                var query_data = {
                  'key': $this.key,
                  'brandId': $this.brandId,
                  'PropertStringList': $this.PropertStringList,
                  'publishBegin': $this.publishBegin,
                  'publishEnd': $this.publishEnd,
                  'pageIndex': $this.pageIndex,
                  'pageSize': $this.pageSize
                }
                api.showProgress();
                $app.ajax.postq('/api/article/GetTodayList', query_data, function(res){
                  //业务处理
                  api.hideProgress()
                  if(res.Code == 1){
                    var data = res.Data
                    $this.dataItems = data.map(function(item){
                        var _item = {
                          'id': item['fdArtiID'],
                          'title': $this.oneEmpty(item['fdArtiTitle']),
                          'image': $this.absoluteUrl(item['fdArtiPic']),
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'desc': item['fdArtiDesc'],
                          'view': item['fdArtiClick'],
                          'time': $this.formatTime(item['fdArtiPublishTime'])
                        }
                        return _item
                    });
                  }
                })
            },
            getMoreData: function() {
              var $this = this;

              var query_data = {
                'key': $this.key,
                'brandId': $this.brandId,
                'PropertStringList': $this.PropertStringList,
                'publishBegin': $this.publishBegin,
                'publishEnd': $this.publishEnd,
                'pageIndex': $this.pageIndex + 1,
                'pageSize': $this.pageSize
              }
              $app.ajax.postq('/api/article/GetTodayList', query_data, function(res){
                //业务处理
                if(res.Code == 1){
                  var data = res.Data
                  if(data.length > 0){
                    $this.pageIndex++
                    data.map(function(item){
                        var _item = {
                          'id': item['fdArtiID'],
                          'title': $this.oneEmpty(item['fdArtiTitle']),
                          'image': $this.absoluteUrl(item['fdArtiPic']),
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'desc': item['fdArtiDesc'],
                          'view': item['fdArtiClick'],
                          'time': $this.formatTime(item['fdArtiPublishTime'])
                        }
                        $this.dataItems.push(_item)
                    });
                  }
                }
              })
            }
        },
    })

};
