var vm;

apiready = function(){
    var id = api.pageParam.id

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
          imageItems: [],
          pageIndex: 1,
          pageSize: 10,
          dataLoading: false
        },
        created: function(){
          this.getData()
        },
        mounted: function() {
          var $this = this
          $app.win.toBottom(function() {
            if(!$this.dataLoading) $this.getData()
          })
        },
        methods: {
            handleData: function(res){
              var $this = this
              //业务处理
              if(res.Code == 1){
                var data = res.Data
                if(data.length > 0){
                  $this.pageIndex++
                  data.map(function(item){
                      var _item = {
                        'id': item['fdImagID'],
                        'title': $this.oneEmpty(item['fdImagName']),
                        'image': $this.absoluteUrl(item['fdImagSmallPath']),
                        'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                        'size': item['fdImagSize'],
                        'model': item['fdImagStyle'],
                        'detail': item['DetailImageList'],
                        'same': item['SameCount'],
                        'city': item['City'],
                        'season': item['Season'],
                        'cate': item['Cate'],
                        'brand': item['Brand'],
                        'style': item['Style'],
                        'type': item['Type'],
                        'view': item['VisitCount'],
                        'time': $this.formatTime(item['Model']['fdModePublishTime'])
                      }
                      $this.imageItems.push(_item)
                  })
                }
              }
            },
            getData: function(){
              var $this = this
              var query_data = {
                'id': id,
                'pageIndex': $this.pageIndex,
                'pageSize': $this.pageSize
              }

              $this.dataLoading = true

              console.log(JSON.stringify(query_data))

              $app.ajax.get('/api/album/GetSameImageList', query_data, function(res){
                // console.log(JSON.stringify(res))
                //业务处理
                $this.dataLoading = false
                $this.handleData(res)
              })
            },
            imageClick: function(index){
                this.openImageViewWin(this.imageItems[index])
            },

        }
    })

}
