var vm;


apiready = function(){

    api.addEventListener({
        name: 'search-keyword-event'
    }, function(ret, err){
        // console.log(JSON.stringify(ret))
        if(ret){
          var _keyword = ret.value.keyword
          var data = vm.getKeyword()
          if(data){
            var _temp = data.split(',')
            var _index = _temp.findIndex(function(item) {
              return item == _keyword
            })
            if(_index == -1) _temp.push(_keyword)
            vm.setKeyword(_temp.join(','))
          }else{
            vm.setKeyword(_keyword)
          }
            vm.show_result = true;
            vm.key = _keyword
            vm.getData()
        }
    });

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            show_result: false,
            key: '',
            history_keywords: [],

            styleItems: [],
            styleCount: 0,
            trendItems: [],
            trendCount: 0,
            bookItems: [],
            bookCount: 0,

        },
        created: function() {
          var _keywrod = this.getKeyword()
          this.history_keywords = _keywrod.split(',')

        },
        methods: {
          setKeyword: function(value) {
            api.setPrefs({
                key: 'search-keywords',
                value: value
            })
          },
          getKeyword: function() {
            return api.getPrefs({
                sync: true,
                key: 'search-keywords'
            })
          },
          delKeyword: function() {
            api.removePrefs({
                key: 'search-keywords'
            })
          },
          clearKeyword: function(){
            this.delKeyword()
            this.history_keywords = []
          },
          searchKeyword: function(index){
            this.key = this.history_keywords[index]
            this.show_result = true
            this.getData()
          },
          AlbumClick: function(index){
            var $this = this
            var _id = $this.styleItems[index]['id']
            var _title = $this.styleItems[index]['title']
            $this.checkLogin(function() {
              $app.openAlbumWin({
                type: 'album',
                column: 0,
                id: _id,
                title: _title
              })
            })
          },
          TrendClick: function(index){
            var $this = this
            var _id = $this.trendItems[index]['id']
            var _title = $this.trendItems[index]['title']
            $this.checkLogin(function() {
              $app.openWin({
                  name: 'trend-win',
                  url: 'widget://html/browser/info/info.html',
                  pageParam: {
                      id: _id,
                      title: _title,
                      name: '趋势'
                  }
              })
            })
          },
          bookClick: function(index){
            var $this = this
            var item = $this.bookItems[index]
            $this.checkLogin(function() {
              $app.openWin({
                  name: 'book_image',
                  url: 'widget://html/book/book_image/book_image.html',
                  pageParam: {
                    cid: item['cid'],
                    id: item['id'],
                    title: item['title']
                  }
              })
            })
          },
          getData: function() {
            this.getStyleData()
            this.getTrendData()
            this.getBookData()
          },
          getStyleData: function(){
            var $this = this
            var query_data = {
              'cid': 0,
              'key': $this.key,
              'brandId': '',
              'PropertStringList': '',
              'size': '',
              'publishBegin': '',
              'publishEnd': ''
            }
            $app.ajax.postq('/api/album/GetAlbumIndexPageList', query_data, function(res){
              //业务处理
              var data = res.Data
              if(data.length > 0){
                var _dataItems = []
                data.map(function(item){
                  var _item = {
                    'id': item['fdModeID'],
                    'title': $this.oneEmpty(item['fdModeTitle']),
                    'image': $this.absoluteUrl(item['fdModePic']),
                    'city': item['City'],
                    'season': item['Season'],
                    'cate': item['Cate'],
                    'brand': item['Brand'],
                    'style': item['Style'],
                    'count': item['fdModePicCount'] + '张',
                    'count2': item['fdModeImageCount'] + '张',
                    'desc': item['fdModeDesc'],
                    'view': item['fdModeClick'],
                    'time': $this.formatTime(item['fdModePublishTime'])
                  }
                    _dataItems.push(_item)
                })
                $this.styleItems = _dataItems.slice(0, 3)
              }
              $this.styleCount = res.Total
            })
          },
          getTrendData: function(){
            var $this = this
            var query_data = {
              'cid': 0,
              'key': $this.key,
              'brandId': '',
              'PropertStringList': '',
              'publishBegin': '',
              'publishEnd': '',
            }
            $app.ajax.postq('/api/article/GetArticlePageIndexList', query_data, function(res){
              //业务处理
              var data = res.Data
              if(data.length > 0){
                var _treandItems = []
                _treandItems = data.map(function(item){
                    var _item = {
                      'id': item['fdArtiID'],
                      'title': $this.oneEmpty(item['fdArtiTitle']),
                      'image': $this.absoluteUrl(item['fdArtiPic']),
                      'city': item['City'],
                      'season': item['Season'],
                      'cate': item['Cate'],
                      'desc': item['fdArtiDesc'],
                      'view': item['fdArtiClick'],
                      'time': $this.formatTime(item['fdArtiPublishTime'])
                    }
                    return _item
                })
                $this.trendItems = _treandItems.slice(0, 3)
              }
              $this.trendCount = res.Total
            })
          },
          getBookData: function(){
            var $this = this
            var query_data = {
                'cid': 0,
                'key': $this.key,
                'brandId': '',
                'PropertStringList': '',
                'publishBegin': '',
                'publishEnd': '',
            }
            $app.ajax.postq('/api/book/GetBookIndexPageList', query_data, function(res) {
                //业务处理
                var data = res.Data
                if(data.length > 0){
                  var _bookItems = data.map(function(item) {
                      var _item = {
                          'cid': item['fdBookColumnID'],
                          'id': item['fdBookID'],
                          'title': $this.oneEmpty(item['fdBookTitle']),
                          'image': $this.absoluteUrl(item['fdBookPic']),
                          'desc': item['fdBookDesc'],
                          'property': item['fdBookProperty'],
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'brand': item['Brand'],
                          'count': item['fdBookPageCount'] + '页',
                          'view': item['fdBookClick'],
                          'size': item['fdBookSizeType'],
                          'time': $this.formatTime(item['fdBookPublishTime'])
                      }
                      return _item
                  })
                  $this.bookItems = _bookItems.slice(0, 3)
                }
                $this.bookCount = res.Total
              })

          },

          openSearchResultWin: function(column) {
            var $this = this
            if(!column) return
            $app.openWin({
                name: 'search_result_win',
                url: 'widget://html/search/search_result/search_result.html',
                pageParam: {
                  column: column,
                  key: $this.key
                }
            })
          }
        },
    })

}
