var vm;

apiready = function(){

  var key = api.pageParam.key

  vm = new Vue({
    el: '#content',
    mixins: [mixin],
    data: {

      dataItems: [],

      key: '',
      brandId: '',
      PropertStringList: '',
      publishBegin: '',
      publishEnd: '',
      pageIndex: 1,
      pageSize: 10

    },
    created: function() {
      var $this = this
      $this.key = key
      $this.getData()
    },
    mounted: function() {
      var $this = this
      $app.win.toBottom(function() {
        $this.checkLogin(function() {
          $this.getMoreData()
        })
      })
    },
    methods: {
      bookClick: function(index){
        var item = this.dataItems[index]
        this.checkLogin(function() {
          $app.openWin({
              name: 'book_image',
              url: 'widget://html/book/book_image/book_image.html',
              pageParam: {
                cid: item['cid'],
                id: item['id'],
                title: item['title']
              }
          })
        })
      },
      getData: function() {
          var $this = this;

          var query_data = {
              'cid': 0,
              'key': $this.key,
              'brandId': $this.brandId,
              'PropertStringList': $this.PropertStringList,
              'publishBegin': $this.publishBegin,
              'publishEnd': $this.publishEnd,
          }

          api.showProgress();
          $app.ajax.postq('/api/book/GetBookIndexPageList', query_data, function(res) {
              //业务处理
              var data = res.Data
              $this.dataItems = data.map(function(item) {
                  var _item = {
                      'cid': item['fdBookColumnID'],
                      'id': item['fdBookID'],
                      'title': $this.oneEmpty(item['fdBookTitle']),
                      'image': $this.absoluteUrl(item['fdBookPic']),
                      'desc': item['fdBookDesc'],
                      'property': item['fdBookProperty'],
                      'city': item['City'],
                      'season': item['Season'],
                      'cate': item['Cate'],
                      'brand': item['Brand'],
                      'count': item['fdBookPageCount'] + '页',
                      'view': item['fdBookClick'],
                      'size': item['fdBookSizeType'],
                      'time': $this.formatTime(item['fdBookPublishTime'])
                  }
                  return _item
              });
              api.hideProgress()
          })
      },
      getMoreData: function() {
          var $this = this;

          var query_data = {
              'cid': 0,
              'key': $this.key,
              'brandId': $this.brandId,
              'PropertStringList': $this.PropertStringList,
              'publishBegin': $this.publishBegin,
              'publishEnd': $this.publishEnd,
              'pageIndex': $this.pageIndex + 1,
              'pageSize': $this.pageSize
          }

          $app.ajax.postq('/api/book/GetBookList', query_data, function(res) {
              //业务处理
              var data = res.Data
              if (data.length > 0) {
                  $this.pageIndex++
                      data.map(function(item) {
                        var _item = {
                            'cid': item['fdBookColumnID'],
                            'id': item['fdBookID'],
                            'title': $this.oneEmpty(item['fdBookTitle']),
                            'image': $this.absoluteUrl(item['fdBookPic']),
                            'desc': item['fdBookDesc'],
                            'property': item['fdBookProperty'],
                            'city': item['City'],
                            'season': item['Season'],
                            'cate': item['Cate'],
                            'brand': item['Brand'],
                            'count': item['fdBookPageCount'] + '页',
                            'view': item['fdBookClick'],
                            'size': item['fdBookSizeType'],
                            'time': $this.formatTime(item['fdBookPublishTime'])
                        }
                          $this.dataItems.push(_item)
                      });
              }
          })
      }
    }
  })
}
