var vm;

apiready = function(){

  var key = api.pageParam.key

  vm = new Vue({
    el: '#content',
    mixins: [mixin],
    data: {

      dataItems: [],

      key: '',
      brandId: '',
      PropertStringList: '',
      size: '',
      publishBegin: '',
      publishEnd: '',
      pageIndex: 1,
      pageSize: 10

    },
    created: function() {
      var $this = this
      $this.key = key
      $this.getData()
    },
    mounted: function() {
      var $this = this
      $app.win.toBottom(function() {
        $this.checkLogin(function() {
          $this.getMoreData()
        })
      })
    },
    methods: {
      albumClick: function(index){
          var $this = this
          var _id = $this.dataItems[index]['id']
          var _title = $this.dataItems[index]['title']

          //是否登录判断
          $this.checkLogin(function() {
            $app.openAlbumWin({
              type: 'album',
              column: 0,
              id: _id,
              title: _title
            })
          })

      },
      getData: function(){
          var $this = this;

          var query_data = {
            'cid': 0,
            'key': $this.key,
            'brandId': $this.brandId,
            'PropertStringList': $this.PropertStringList,
            'size': $this.size,
            'publishBegin': $this.publishBegin,
            'publishEnd': $this.publishEnd,
          }
          // console.log(JSON.stringify(query_data))

          api.showProgress();
          $app.ajax.postq('/api/album/GetAlbumIndexPageList', query_data, function(res){
            //业务处理
            var data = res.Data
            $this.dataItems = data.map(function(item){
                var _item = {
                  'id': item['fdModeID'],
                  'title': $this.oneEmpty(item['fdModeTitle']),
                  'image': $this.absoluteUrl(item['fdModePic']),
                  'city': item['City'],
                  'season': item['Season'],
                  'cate': item['Cate'],
                  'brand': item['Brand'],
                  'style': item['Style'],
                  'count': item['fdModePicCount'] + '张',
                  'count2': item['fdModeImageCount'] + '张',
                  'desc': item['fdModeDesc'],
                  'view': item['fdModeClick'],
                  'time': $this.formatTime(item['fdModePublishTime'])
                }
                return _item
            });
            api.hideProgress()
          })
      },
      getMoreData: function(){
        var $this = this;

        var query_data = {
          'cid': 0,
          'key': $this.key,
          'brandId': $this.brandId,
          'PropertStringList': $this.PropertStringList,
          'size': $this.size,
          'publishBegin': $this.publishBegin,
          'publishEnd': $this.publishEnd,
          'pageIndex': $this.pageIndex + 1,
          'pageSize': $this.pageSize
        }

        $app.ajax.postq('/api/album/GetAlbumList', query_data, function(res){
          //业务处理
          var data = res.Data
          if(data.length > 0){
            $this.pageIndex++
            data.map(function(item){
                var _item = {
                  'id': item['fdModeID'],
                  'title': $this.oneEmpty(item['fdModeTitle']),
                  'image': $this.absoluteUrl(item['fdModePic']),
                  'city': item['City'],
                  'season': item['Season'],
                  'cate': item['Cate'],
                  'brand': item['Brand'],
                  'style': item['Style'],
                  'count': item['fdModePicCount'] + '张',
                  'count2': item['fdModeImageCount'] + '张',
                  'desc': item['fdModeDesc'],
                  'view': item['fdModeClick'],
                  'time': $this.formatTime(item['fdModePublishTime'])
                }
                $this.dataItems.push(_item)
            });
          }
        })
      }

    }
  })
}
