var vm;

apiready = function(){

  var key = api.pageParam.key

  vm = new Vue({
    el: '#content',
    mixins: [mixin],
    data: {

      dataItems: [],

      key: '',
      brandId: '',
      PropertStringList: '',
      publishBegin: '',
      publishEnd: '',
      pageIndex: 1,
      pageSize: 10

    },
    created: function() {
      var $this = this
      $this.key = key
      $this.getData()
    },
    mounted: function() {
      var $this = this
      $app.win.toBottom(function() {
        $this.checkLogin(function() {
          $this.getMoreData()
        })
      })
    },
    methods: {
      trendClick: function(index){
          var $this = this
          var _id = $this.dataItems[index]['id']
          var _title = $this.dataItems[index]['title']
          $this.checkLogin(function() {
            $app.openWin({
                name: 'trend-win',
                url: 'widget://html/browser/info/info.html',
                pageParam: {
                    id: _id,
                    title: _title,
                    name: '趋势'
                }
            })
          })
      },
      getData: function() {
          var $this = this

          var query_data = {
            'cid': 0,
            'key': $this.key,
            'brandId': $this.brandId,
            'PropertStringList': $this.PropertStringList,
            'publishBegin': $this.publishBegin,
            'publishEnd': $this.publishEnd,
          }
          api.showProgress();
          $app.ajax.postq('/api/article/GetArticlePageIndexList', query_data, function(res){
            //业务处理
            var data = res.Data
            $this.dataItems = data.map(function(item){
                var _item = {
                  'id': item['fdArtiID'],
                  'title': $this.oneEmpty(item['fdArtiTitle']),
                  'image': $this.absoluteUrl(item['fdArtiPic']),
                  'city': item['City'],
                  'season': item['Season'],
                  'cate': item['Cate'],
                  'desc': item['fdArtiDesc'],
                  'view': item['fdArtiClick'],
                  'time': $this.formatTime(item['fdArtiPublishTime'])
                }
                return _item
            });
            api.hideProgress()
          })
      },
      getMoreData: function(){
        var $this = this;

        var query_data = {
          'cid': 0,
          'key': $this.key,
          'brandId': $this.brandId,
          'PropertStringList': $this.PropertStringList,
          'publishBegin': $this.publishBegin,
          'publishEnd': $this.publishEnd,
          'pageIndex': $this.pageIndex + 1,
          'pageSize': $this.pageSize
        }

        $app.ajax.postq('/api/article/GetArticleList', query_data, function(res){
          //业务处理
          var data = res.Data
          if(data.length > 0){
            $this.pageIndex++
            data.map(function(item){
                var _item = {
                  'id': item['fdArtiID'],
                  'title': $this.oneEmpty(item['fdArtiTitle']),
                  'image': $this.absoluteUrl(item['fdArtiPic']),
                  'city': item['City'],
                  'season': item['Season'],
                  'cate': item['Cate'],
                  'desc': item['fdArtiDesc'],
                  'view': item['fdArtiClick'],
                  'time': $this.formatTime(item['fdArtiPublishTime'])
                }
                $this.dataItems.push(_item)
            });
          }
        })
      }
    }
  })
}
