var vm;

apiready = function () {

    var params = api.pageParam.data

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            imageItems: [],
            dataLoad: false,

            key: '',
            brandId: '',
            PropertStringList: '',
            size: '',
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10

        },
        created: function(){
          var _brand = params[1].items.map(function(item){
            return item['id']
          })
          var _property = params[0].items.map(function(item){
            return item['id']
          })
          this.brandId = _brand.join(',')
          this.PropertStringList = _property.join(',')
        },
        mounted() {
            var $this = this
            this.getData()

            $app.win.toBottom(function() {
              $this.getMoreData()
            })
        },
        methods: {
            imageClick: function (index) {
                this.openImageViewWin(this.imageItems[index])
            },
            handleImageData: function(item) {
              var $this = this
              return {
                'id': item['fdImagID'],
                'title': $this.oneEmpty(item['fdImagName']),
                'image': $this.absoluteUrl(item['fdImagSmallPath']),
                'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                'size': item['fdImagSize'],
                'model': item['fdImagStyle'],
                'detail': item['DetailImageList'],
                'same': item['SameCount'],
                'city': item['City'],
                'season': item['Season'],
                'cate': item['Cate'],
                'brand': item['Brand'],
                'style': item['Style'],
                'type': item['Type'],
                'view': item['VisitCount'],
                'time': $this.formatTime(item['Model']['fdModePublishTime'])
              }
            },
            getData: function () {
                var $this = this

                var query_data = {
                  'cid': 0,
                  'key': $this.key,
                  'brandId': $this.brandId,
                  'PropertStringList': $this.PropertStringList,
                  'size': $this.size,
                  'publishBegin': $this.publishBegin,
                  'publishEnd': $this.publishEnd
                }
                api.showProgress({title: '请稍等', text: '数据加载中'});
                $app.ajax.postq('/api/album/GetImageIndexPageList', query_data, function(res){
                  api.hideProgress();
                  $this.dataLoad = true
                  //业务处理
                  var data = res.Data
                  if(data.length > 0){
                    var _dataItems = []
                    data.map(function(item){
                        var _item = $this.handleImageData(item)
                        _dataItems.push(_item)
                    })
                    $this.imageItems = _dataItems
                  }
                })
            },
            getMoreData: function(){
              var $this = this

              var query_data = {
                'cid': 0,
                'key': $this.key,
                'brandId': $this.brandId,
                'PropertStringList': $this.PropertStringList,
                'size': $this.size,
                'publishBegin': $this.publishBegin,
                'publishEnd': $this.publishEnd,
                'pageIndex': $this.pageIndex + 1,
                'pageSize': $this.pageSize
              }

              $app.ajax.postq('/api/album/GetImageList', query_data, function(res){
                //业务处理
                var data = res.Data
                if(data.length > 0){
                  $this.pageIndex++
                  data.map(function(item){
                      var _item = $this.handleImageData(item)
                      $this.imageItems.push(_item)
                  })
                  // console.log(JSON.stringify($this.imageItems))
                }
              })
            }
        },
    })

}
