(function(window) {
    var app = {
        config: {
            baseUrl: 'http://www.v-bags.com', //http://vbag.any-well.com
            shareUrl: 'http://www.v-bags.com',
            shareDescript: '唯包网汇集全球箱包资讯，洞悉最新趋势热点，助力您每一季新品研发。',
            website: {
                //联系客服
                contactus: 'http://www.v-bags.com/contactus.html?t='+ new Date().getDate(),
                //关于我们
                aboutus: 'http://www.v-bags.com/aboutus.html?t='+ new Date().getDate(),
                //隐私政策
                privacyPolicy: 'http://www.v-bags.com/privacy.html?t='+ new Date().getDate(),
                //用户协议
                agreement: 'http://www.v-bags.com/agreement.html?t='+ new Date().getDate(),
                //客服小蜜
                customerService: 'http://www.v-bags.com/service.html?t='+ new Date().getDate(),
            },
        },
        ui: {
            fixStatus: function() {
                var options = arguments[0] ? arguments[0] : {};
                var _options = Object.assign({
                    style: 'dark',
                    color: 'rgba(0, 0, 0, 0)' //状态栏背景颜色 针对android 4.0
                }, options)
                api.setStatusBarStyle(_options);
            },
            fixHeader: function() {
                try {
                    var header = arguments[0] ? window.$api.byId(arguments[0]) : window.$api.byId('header');
                    return $api.fixStatusBar(header);
                } catch (err) {
                    console.log('此处为手机调试模式');
                }
            },
            fixFooter: function() {
                try {
                    var footer = arguments[0] ? window.$api.byId(arguments[0]) : window.$api.byId('footer');
                    return $api.fixTabBar(footer);
                } catch (err) {}
            },
            setHeaderStyle: function(options) {
                if (!options) return;
                var styles = Object.assign({
                    backgroundColor: '#ffffff',
                    fontColor: '#222222'
                }, options)
                var header = window.$api.byId('header');
                var navigate = window.$api.dom(header, '.navigate');
                var title = window.$api.dom(header, '.title');
                var btn = window.$api.dom(header, '.btn');
                var btn2 = window.$api.dom(header, '.btn:last-child');
                header.style.backgroundColor = styles.backgroundColor;
                navigate.style.backgroundColor = styles.backgroundColor;
                title.style.color = styles.fontColor;
                btn.style.color = styles.fontColor;
                btn2.style.color = styles.fontColor;

            },
            setHeaderTitle: function(title) {
                if (!title) return;
                var header = window.$api.byId('header');
                var titleDom = window.$api.dom(header, '.title');
                titleDom.innerHTML = title;
            },

            loadingId: null,
            setLoading: function() {
              var that = this;
                UILoading = api.require('UILoading');
                UILoading.flower({
                    center: {
                        x: api.winWidth/2.0,
                        y: api.winHeight/2.0
                    },
                    size: 30,
                    mask: 'rgba(20,0,0,0.5)',
                    fixed: true
                }, function(ret) {
                    that.loadingId = ret.id;
                });
            },
            removeLoading: function() {
              var that = this;
              UILoading = api.require('UILoading');
              UILoading.closeFlower({
                  id: that.loadingId
              });
            },
            alert: function(options) {
                var options = Object.assign({
                        title: '标题',
                        content: '这里是弹出框内容',
                        leftBtnTitle: '取消',
                        rightBtnTitle: '确定',
                        onLeftClick: function() {},
                        onRightClick: function() {}
                    },
                    options || {})
                var dialogBox = api.require('dialogBox');
                dialogBox.alert({
                    texts: options,
                    styles: {
                        bg: '#ffffff',
                        w: 280,
                        corner: 8,
                        title: {
                            marginT: 20,
                            // icon: 'widget://res/gou.png',
                            // iconSize: 40,
                            titleSize: 16,
                            titleColor: '#000'
                        },
                        content: {
                            marginT: 20,
                            marginB: 20,
                            color: '#000',
                            size: 14
                        },
                        left: {
                            marginB: 0,
                            marginL: 0,
                            w: 140,
                            h: 40,
                            corner: 8,
                            bg: '#fff',
                            size: 15,
                            color: '#000',
                        },
                        right: {
                            marginB: 0,
                            marginL: 0,
                            w: 140,
                            h: 40,
                            corner: 8,
                            bg: '#fff',
                            size: 15,
                            color: '#000',
                        },
                        horizontalLine: {
                            color: 'rgba(239, 239, 239, 1)',
                            height: 1
                        },
                        verticalLine: {
                            color: 'rgba(239, 239, 239, 1)',
                            width: 1
                        }
                    }
                }, function(ret) {
                    dialogBox.close({
                        dialogName: 'alert'
                    });
                    if (ret.eventType == 'left') {
                        if (typeof options.onLeftClick == 'function') options.onLeftClick();
                    }
                    if (ret.eventType == 'right') {
                        if (typeof options.onRightClick == 'function') options.onRightClick();
                    }
                })
            },
            alertWeb: function(options) {
                var options = Object.assign({
                        title: '标题',
                        path: 'https://www.qiyingtong.net',
                        leftBtnTitle: '取消',
                        rightBtnTitle: '确定',
                        onLeftClick: function() {},
                        onRightClick: function() {}
                    },
                    options || {})
                var dialogBox = api.require('dialogBox');
                dialogBox.webView({
                    tapClose: false,
                    path: options.path,
                    texts: {
                        title: options.title,
                        leftBtnTitle: options.leftBtnTitle,
                        rightBtnTitle: options.rightBtnTitle
                    },
                    styles: {
                        bg: '#fff',
                        corner: 8,
                        w: 250,
                        h: 320,
                        title: {
                            h: 44,
                            size: 16,
                            color: '#000'
                        },
                        upDividingLine: {
                            width: 0.5,
                            color: '#ffffff'
                        },
                        webView: {
                            h: 230,
                            bg: '#fff',
                        },
                        downDividingLine: {
                            width: 0.5,
                            color: '#ffffff'
                        },
                        left: {
                            h: 40,
                            bg: 'rgba(0,0,0,0)',
                            color: '#000',
                            size: 14
                        },
                        right: {
                            h: 40,
                            bg: 'rgba(0,0,0,0)',
                            color: '#000',
                            size: 14
                        }
                    }
                }, function(ret) {
                    dialogBox.close({
                        dialogName: 'webView'
                    });
                    if (ret.eventType == 'left') {
                        if (typeof options.onLeftClick == 'function') options.onLeftClick();
                    }
                    if (ret.eventType == 'right') {
                        if (typeof options.onRightClick == 'function') options.onRightClick();
                    }
                });
            }
        },
        win: {
            scrollTo: function(x, y) {
                // window.scrollTo(x, y);
                window.scrollTo({ left: x, top: y, behavior: 'smooth' })
            },
            scroll: function(options) {
                var that = this;
                var _scroll = options.scroll || null;
                var _bottom = options.bottom || null;
                var beforeScrollTop = that.getScrollTop();
                window.onscroll = function() {
                    var _scrollTop = that.getScrollTop();
                    var _clientHeight = that.getClientHeight();
                    var _clientWidth = that.getClientWidth();
                    var _scrollHeight = that.getScrollHeight();

                    var afterScrollTop = that.getScrollTop();
                    var delta = afterScrollTop - beforeScrollTop;
                    if (delta === 0) return false;
                    var _scrollDirection = delta > 0 ? 1 : 0; //1=>down 0=>up
                    beforeScrollTop = afterScrollTop;

                    if (_scrollTop + _clientHeight == _scrollHeight) {
                        if (_bottom) _bottom();
                        //console.log('到底底部了');
                    } else {
                        if (_scroll) _scroll(_scrollTop, _clientHeight, _clientWidth, _scrollHeight, _scrollDirection);
                    }
                };
            },
            //获取滚动条当前的位置
            getScrollTop: function() {
                var scrollTop = 0;
                if (document.documentElement && document.documentElement.scrollTop) {
                    scrollTop = document.documentElement.scrollTop;
                } else if (document.body) {
                    scrollTop = document.body.scrollTop;
                }
                return scrollTop;
            },
            //获取当前可视范围的高度
            getClientHeight: function() {
                var clientHeight = 0;
                if (document.body.clientHeight && document.documentElement.clientHeight) {
                    clientHeight = Math.min(document.body.clientHeight, document.documentElement.clientHeight);
                } else {
                    clientHeight = Math.max(document.body.clientHeight, document.documentElement.clientHeight);
                }
                return clientHeight;
            },
            //获取当前可视范围的宽度
            getClientWidth: function() {
                var clientWidth = 0;
                if (document.body.clientWidth && document.documentElement.clientWidth) {
                    clientWidth = Math.min(document.body.clientWidth, document.documentElement.clientWidth);
                } else {
                    clientWidth = Math.max(document.body.clientWidth, document.documentElement.clientWidth);
                }
                return clientWidth;
            },
            //获取文档完整的高度
            getScrollHeight: function() {
                return Math.max(document.body.scrollHeight, document.documentElement.scrollHeight);
            },
            toBottom: function(fun){
              api.addEventListener({
                  name: 'scrolltobottom',
                  extra: {
                      threshold: 50
                  }
              }, function (ret, err) {
                  fun(ret, err);
              });
            }
        },
        swipe: {
            stop: function(dom) {
                dom.addEventListener('touchstart', function() {
                    // console.log('touchstart');
                    app.swipe.frameScrollDenabled();
                })

                dom.addEventListener('touchmove', function() {
                    // console.log('touchmove');
                    app.swipe.frameScrollDenabled();
                })

                dom.addEventListener('touchend', function() {
                    // console.log('touchend');
                    app.swipe.frameScrollEnabled();
                })

                dom.addEventListener('touchcancel', function() {
                    // console.log('touchcancel');
                    app.swipe.frameScrollEnabled();
                })
            },
            frameScrollEnabled: function() {
                api.setFrameGroupAttr({
                    name: 'home_frame',
                    scrollEnabled: true
                });
            },
            frameScrollDenabled: function() {
                api.setFrameGroupAttr({
                    name: 'home_frame',
                    scrollEnabled: false
                });
            }
        },
        action: {
            // 下拉刷新
            getRefresh: function(callback) {
                api.setCustomRefreshHeaderInfo({
                    bgColor: '#ffffff',
                    loadAnimInterval: 100,
                    image: {
                        pull: [
                            'widget://image/refresh/refresh_00000.png'
                        ],
                        load: [
                            'widget://image/refresh/refresh_00000.png',
                            'widget://image/refresh/refresh_00001.png',
                            'widget://image/refresh/refresh_00002.png',
                            'widget://image/refresh/refresh_00003.png',
                            'widget://image/refresh/refresh_00004.png',
                            'widget://image/refresh/refresh_00005.png',
                            'widget://image/refresh/refresh_00006.png',
                            'widget://image/refresh/refresh_00007.png',
                            'widget://image/refresh/refresh_00008.png',
                            'widget://image/refresh/refresh_00009.png',
                            'widget://image/refresh/refresh_00010.png'
                        ]
                    }
                }, function() {
                    setTimeout(function() {
                      app.action.removeRefresh()
                    }, 500)
                    if (typeof callback == 'function') {
                        callback();
                    }
                });
            },
            setRefresh: function() {
                api.refreshHeaderLoading();
            },
            removeRefresh: function() {
                api.refreshHeaderLoadDone();
            },

            // 加载更多
            loadData: function(callback) {
                api.addEventListener({
                    name: 'scrolltobottom',
                    extra: {
                        threshold: 50
                    }
                }, function(ret, err) {
                    if (typeof callback == 'function') {
                        callback(ret, err);
                    }
                });
            }

        },
        ajax: {
            dataToQuery: function(data){
              var query = ''
              for (const key in data) {
                  query += '&' + key + '=' + data[key]
              }
              if (query != '') query = '?' + query.substring(1)
              return query
            },
            setHeader: function(){
                var _ticket = '', _id = ''
                var login = api.getPrefs({
                    sync: true,
                    key: 'client-user-login'
                });
                if(login){
                  var user = JSON.parse(login)
                  _ticket = user['TICKET']
                  _id = user['ID']
                  // console.log(_ticket, _id)
                }
                return {
                    TICKET: _ticket,
                    ID: _id,

                    appVersion: api.appVersion,
                    system: api.systemType,
                    version: api.version,
                    deviceId: api.deviceId,
                    deviceModel: api.deviceModel
                }
            },
            // get(url, function)
            // get(url, data={}, function)
            // get(url, data={}, headers={}, function)
            get: function(url) {
                var _url = url.substring(0, 4) == 'http' ? url : app.config.baseUrl + url
                var _header = app.ajax.setHeader()
                var query = ''
                var data = {}
                var fun = null
                switch (arguments.length) {
                  case 2:
                      if(typeof arguments[1] == 'function'){
                        fun = arguments[1]
                      }
                      break;
                  case 3:
                      if(typeof arguments[1] == 'object'){
                        query = app.ajax.dataToQuery(arguments[1])
                      }
                      if(typeof arguments[2] == 'function'){
                        fun = arguments[2]
                      }
                      break;
                  case 4:
                      if(typeof arguments[1] == 'object'){
                        query = app.ajax.dataToQuery(arguments[1])
                      }
                      if(typeof arguments[2] == 'object'){
                        _header = Object.assign(_header, arguments[2])
                      }
                      if(typeof arguments[3] == 'function'){
                        fun = arguments[3]
                      }
                      break;
                    default:
                      break;
                }
                // console.log(JSON.stringify(_header))
                // console.log(_url + query)
                api.ajax({
                    url: _url + query,
                    method: 'GET',
                    headers: _header
                }, function(ret, err) {
                    if (ret && typeof fun == 'function') {
                        fun(ret)
                    } else {
                        api.toast({
                            msg: '请求数据错误',
                            duration: 2000,
                            location: 'bottom'
                        });
                        api.hideProgress();
                        console.log(JSON.stringify(err))
                    }
                });
            },
            //唯包网独特的
            postq: function(url) {
                var _url = url.substring(0, 4) == 'http' ? url : app.config.baseUrl + url
                var _header = app.ajax.setHeader()
                var query = ''
                var data = {}
                var fun = null
                switch (arguments.length) {
                  case 2:
                      if(typeof arguments[1] == 'function'){
                        fun = arguments[1]
                      }
                      break;
                  case 3:
                      if(typeof arguments[1] == 'object'){
                        query = app.ajax.dataToQuery(arguments[1])
                      }
                      if(typeof arguments[2] == 'function'){
                        fun = arguments[2]
                      }
                      break;
                  case 4:
                      if(typeof arguments[1] == 'object'){
                        query = app.ajax.dataToQuery(arguments[1])
                      }
                      if(typeof arguments[2] == 'object'){
                        _header = Object.assign(_header, arguments[2])
                      }
                      if(typeof arguments[3] == 'function'){
                        fun = arguments[3]
                      }
                      break;
                    default:
                      break;
                }
                // console.log(JSON.stringify(_header))
                // console.log(_url + query)

                api.ajax({
                    url: _url + query,
                    method: 'POST',
                    headers: _header
                }, function(ret, err) {
                    if (ret && typeof fun == 'function') {
                      fun(ret)
                    } else {
                      api.toast({
                          msg: '请求数据错误',
                          duration: 2000,
                          location: 'bottom'
                      });
                      api.hideProgress();
                      console.log(JSON.stringify(err))
                    }
                });
            },
            // post(url, data={}, function)
            // post(url, data={}, headers={}, function)
            post: function(url) {
                var _url = url.substring(0, 4) == 'http' ? url : app.config.baseUrl + url
                var _header = app.ajax.setHeader()
                _header['Content-Type'] = 'application/json;charset=utf-8'

                var _data = {}
                var fun = null
                switch (arguments.length) {
                  case 3:
                      if(typeof arguments[1] == 'object'){
                        _data = {
                            values: arguments[1]
                        }
                      }
                      if(typeof arguments[2] == 'function'){
                        fun = arguments[2]
                      }
                      break;
                  case 4:
                      if(typeof arguments[1] == 'object'){
                        _data = {
                            values: arguments[1]
                        }
                      }
                      if(typeof arguments[2] == 'object'){
                        _header = Object.assign(_header, arguments[2])
                      }
                      if(typeof arguments[3] == 'function'){
                        fun = arguments[3]
                      }
                      break;
                    default:
                      break;
                }

                api.ajax({
                    url: _url,
                    method: 'POST',
                    headers: _header,
                    data: _data
                }, function(ret, err) {
                    if (ret && typeof fun == 'function') {
                        fun(ret)
                    } else {
                        console.log(JSON.stringify(err))
                    }
                });
            },
        },
        openWin: function(options) {
            api.openWin(Object.assign({
                name: '',
                url: '',
                bounces: false,
                bgColor: 'rgba(255, 255, 255, 0)',
                useWKWebView: true,
                slidBackEnabled: true,
                vScrollBarEnabled: false,
                hScrollBarEnabled: false,
                pageParam: {}
            }, options));
        },
        closeWin: function() {
            var _name = arguments ? arguments : {
                name: api.winName
            }
            api.closeWin(_name);
        },

        openFrame: function(options) {
            api.openFrame(Object.assign({
                name: '',
                url: '',
                rect: {
                    x: 0,
                    y: 0,
                    w: 'auto',
                    h: 'auto'
                },
                bgColor: 'rgba(255, 255, 255, 0)',
                pageParam: {},
                bounces: false,
                useWKWebView: true,
                vScrollBarEnabled: false, //是否显示垂直滚动条
                hScrollBarEnabled: false, //是否显示水平滚动条
                reload: false,
                allowEdit: true,
            }, options));
        },
        setFrameAttr: function(options) {
            api.setFrameAttr(Object.assign({}, options, true));
        },

        openWebBrowser: function(url, close) {
            var showclose = true;
            if (close != undefined) {
                showclose = close;
            }
            api.openWin({
                name: 'webBrowser',
                url: api.wgtRootDir + '/html/common/webBrowser/webBrowser.html',
                pageParam: {
                    url: url,
                    headers: {},
                    showclose: showclose
                }
            })
        },
        openWebsiteWin: function(options) {
            var _pageParam = Object.assign({
                title: '',
                url: ''
            }, options);
            api.openWin({
                name: 'website_win',
                url: api.wgtRootDir + '/html/common/website/website.html',
                pageParam: _pageParam
            })
        },
        openPop: function(options) {
            this.openFrame({
                name: options.frameName ? options.frameName : 'pop-frame',
                url: api.wgtRootDir + '/html/common/pop/pop.html',
                bgColor: 'rgba(0, 0, 0, 0.6)',
                allowEdit: true,
                pageParam: Object.assign({
                    winName: api.winName,
                    frameName: api.frameName,
                    closeable: false,
                }, options),
                animation: {
                    type: "fade",
                    subType: "from_right",
                    duration: 300
                }
            });
            api.bringFrameToFront({
                from: options.frameName ? options.frameName : 'pop-frame',
            });
        },

        //侧边窗体
        openDrawerWin: function(options) {
          var _options = Object.assign({
            name: '',
            url: '',
            pageParam: {}
          }, options)
          api.openDrawerLayout({
              name: _options.name,
              url: _options.url,
              slidToOpenPane: false,
              slidToClosePane: false,
              tapToClosePane: true,
              animation: {
                  type: "push",
                  subType: "from_right",
                  duration: 300
              },
              pageParam: _options.pageParam,
              rightPane: {
                  name: 'filterPane',
                  url: 'widget://html/filter/filter.html',
                  vScrollBarEnabled: false,
                  hScrollBarEnabled: false,
                  pageParam: {},
              }
          });
        },

        // 首页
        openHomeWin: function() {
            var animation = !arguments[0] ? {
                type: "push",
                subType: "from_right",
                duration: 300
            } : arguments[0];
            api.openDrawerLayout({
                name: 'main',
                url: 'widget://html/main/main.html',
                slidToOpenPane: false,
                slidToClosePane: false,
                tapToClosePane: true,
                slidBackEnabled: false,
                animation: animation,
                rightPane: {
                    name: 'filterPane',
                    url: 'widget://html/filter/filter.html',
                    vScrollBarEnabled: false,
                    hScrollBarEnabled: false,
                    pageParam: {},

                }
            });
        },
        closePane: function(){
            api.closeDrawerPane();
        },
        checkPermission: function(permission, fun) {
          var hasPerm = api.hasPermission({list:[permission]})
          if(hasPerm[0].granted){
            if(typeof fun == 'function') fun()
          }else{
            api.confirm({
                msg: '应用需要您的授权访问相册才能下载图片',
                buttons: ['取消', '去设置']
            }, function(ret) {
                if (ret.buttonIndex == 2) {
                    api.requestPermission({list: [permission]}, function(res) {
                        if (res.list[0].granted) {
                            console.log('已授权')
                        }
                    });
                }
            })
          }
        },
        // 下载图片
        downloadImage: function(images) {
          this.checkPermission('photos', function() {
            if(typeof images == 'string') images = [images]
            var index = 0
            api.showProgress({
                title: '请稍等',
                text: '努力下载中',
                modal: false
            });

            images.map(function(item) {
              var url = item
              var urlArr = url.split('/')
              var filename = urlArr[urlArr.length - 1]
              var _savePath = api.cacheDir + '/' + filename
              api.download({
                  url: url,
                  savePath: _savePath,
                  allowResume: true
              }, function(ret, err) {
                  if (ret.state == 1) {
                      index++
                      api.saveMediaToAlbum({
                          path: _savePath
                      }, function(ret, err) {
                          if (ret && ret.status) {
                              if(index == images.length){
                                api.hideProgress();
                                api.toast({
                                    msg: '保存成功',
                                    duration: 2000,
                                    location: 'bottom'
                                })
                              }
                          }
                      })
                  }
              })
            })
          })
        },
        // 登录
        openLogin: function() {
            api.openWin({
                name: 'login_frame',
                url: 'widget://html/login/login.html',
                bounces: false,
                bgColor: 'rgba(0, 0, 0, 0)',
                animation: {
                    type: "movein",
                    subType: "from_bottom",
                    duration: 300
                }
            })
        },
        // 收藏夹
        openFav: function (params) {
          api.openFrame({
            name: 'fav_frame',
            url: 'widget://html/fav/fav/fav.html',
              rect: {
                  x: 0,
                  y: 0,
                  w: 'auto',
                  h: 'auto'
              },
              pageParam: Object.assign({}, params),
              bounces: false,
              bgColor: 'rgba(0, 0, 0, 0)',
              vScrollBarEnabled: false,
              hScrollBarEnabled: false
          })
        },

        // 杂志查看
        openBookBrowser: function(options){
            var _options = Object.assign({
                images: [],
                index: 0
            }, options);
            this.openWin({
                name: 'bookBrowser',
                url: api.wgtRootDir + '/html/browser/book/photo.html',
                pageParam: _options
            });
        },
        // 图片查看
        openPhotoBrowser: function(options){
            var _options = Object.assign({
                images: [],
                index: 1
            }, options);
            this.openWin({
                name: 'photoBrowser',
                url: api.wgtRootDir + '/html/browser/photo2/photo.html',
                pageParam: _options
            });
        },
        // 打开过滤
        openFilterWin: function(options){
            var _extra = Object.assign({}, options);
            api.sendEvent({
                name: 'changeFilterPane',
                extra: _extra
            });

            api.openDrawerPane({
                type: 'right'
            });
        },
        openTrendWin: function(params){
          api.openWin({
              name: 'trend-win',
              url: 'widget://html/browser/info/info.html',
              pageParam: Object.assign({}, params)
          })
        },
        // 打开专辑图片
        openAlbumWin: function(params){
          api.openWin({
              name: 'album-win',
              url: api.wgtRootDir + '/html/album/album.html',
              pageParam: Object.assign({}, params)
          });
        },
        // 打开同款图片
        openSameWin: function(params) {
          api.openWin({
              name: 'same-win',
              url: api.wgtRootDir + '/html/same/same.html',
              pageParam: Object.assign({}, params)
          });
        },
        openBookImageWin: function(params){
          api.openWin({
              name: 'book_image',
              url: api.wgtRootDir + '/html/book/book_image/book_image.html',
              pageParam: Object.assign({}, params)
          })
        },
        //权限说明
        openPermission: function(){
            app.openPop({
                content: `<div class="alert-permission">
                      <div class="permission-title">服务协议和隐私政策</div>
                      <div class="permission-content" style="padding-left:15px; padding-right:15px;">
                          <p>请你务必审慎阅读、充分理解“服务协议”和“隐私政策”各条款，包括但不限于为了给您提供优质的服务，可能需要向您申请以下权限：</p>
                          <p>1.系统设备权限，收集设备信息，用于信息推送</p>
                          <p>2.推送通知权限，方便您接收最新的时尚趋势，款式，书刊等信息</p>
                          <p>3.相机权限，用于方便您扫码登录</p>
                          <p>4.存储权限，用于保存和下载图片，书刊到相册</p>
                          <p>你可以阅读<em style="color:#f60" tapmode onclick="eventHandle('openAgreement')">《服务协议》</em>和<em style="color:#f60" onclick="eventHandle('openPrivacyPolicy')">《隐私政策》</em>了解详细信息。如你同意，请点击“同意”并接受我们的服务</p>
                      </div>
                      <div class="permission-button" tapmode onclick="eventHandle('closePermissionFrame')">我同意</div>
                      <div style="margin-top:20px; line-height:20px;text-align:center;color:#999" tapmode onclick="eventHandle('closePermissionFrame2')">暂不开启</div>
                  </div>`, //弹出内容
                //callback: 'popCallback', //弹出层回调，字符串函数名
                //close: 'popClose', //关闭弹出层回调，字符串函数名
                hideClose: true //是否移除关闭按钮
            });
        },



        openSharePanel: function(options) {
            var _options = Object.assign({}, options);
            this.openFrame({
                name: 'share',
                url: api.wgtRootDir + '/html/common/share/share.html',
                pageParam: _options
            });
        },

        openFootSheet: function(options) {
            var _options = Object.assign({}, options);
            this.openFrame({
                name: 'footsheet',
                url: api.wgtRootDir + '/html/common/footsheet/footsheet.html',
                pageParam: _options
            });
        },


        call: function(phone) {
            api.call({
                type: 'tel_prompt',
                number: phone
            });
        },

    }

    window.$app = app;

})(window)
