var mixin = {
  data: {
  },
  methods: {
    gotoTop: function() {
      $app.win.scrollTo(0, 0)
    },
    gotoFilterBar: function() {
      var filter_bar = document.getElementById('filter-bar');
      $app.win.scrollTo(0, filter_bar.offsetTop)
    },
    checkLogin: function(fun){
      //是否登录判断
      if($user.checkLogin()){
        if(typeof fun == 'function') fun()
      }else{
          $app.openLogin();
      }
    },
    openImageViewWin(data){
      var $this = this
      var item = data
      // console.log(JSON.stringify(data))
      var _images = item['images'].map(function(item){
        return $this.absoluteUrl(item['Image'])
      })
      var _id = item['id']
      var _descript = '<p><b>'+ item['title'] +'</b></p>'
      _descript += '<p>'
      if(item['city']) _descript += '<span>地区：'+ item['city'] +'</span>&nbsp;&nbsp;'
      if(item['season']) _descript += '<span>季度：'+ item['season'] +'</span>&nbsp;&nbsp;'
      // if(item['cate']) _descript += '<p>类型：'+ item['cate'] +'</p>'
      if(item['brand']) _descript += '<span>品牌：'+ item['brand'] +'</span>&nbsp;&nbsp;'
      // if(item['style']) _descript += '<p>包型：'+ item['style'] +' '+ item['type'] +'</p>'
      if(item['size']) _descript += '<span>尺寸：'+ item['size'] +'</span>&nbsp;&nbsp;'
      if(item['model']) _descript += '<span>型号：'+ item['model'] +'</span>&nbsp;&nbsp;'
      _descript += '</p>'

      $app.openPhotoBrowser({
        id: _id,
        images: _images,
        descript: _descript
      })
    },
    getNav: function (type, fun) {
      var url = '/api/public/GetIndexColumnList'
      $app.ajax.get(url, function(res) {
        var data = res.Data
        var ret = []
        if (data.length > 0) {
          for (var i = 0; i < data.length; i++) {
            if (data[i]['Type'] === type) {
              var column = data[i]['IndexColumnList']
              for (var j = 0; j < column.length; j++) {
                var selected = false
                if (j === 0) selected = true
                ret.push({
                  'id': column[j]['Id'],
                  'name': column[j]['ColumnName'],
                  'property': column[j]['PropertStringList'] == null ? '' : column[j]['PropertStringList'],
                  'selected': selected,
                  'show': true,
                  'isNew': column[j]['isNew']
                })
              }
            }
          }
        }
        if(typeof fun == 'function') fun(ret)
      })
    },

    toDateTime: function(_time){
      return _time.getFullYear() + '-' + (_time.getMonth() + 1) + '-' + _time.getDate()
    },
    getTodayTime: function() {
      var _today = new Date()
      return this.toDateTime(_today)
    },
    getYesTodayTime: function(){
      var _today = new Date()
      var _yestoday = new Date(_today.setDate(_today.getDate() - 1))
      return this.toDateTime(_yestoday)
    },
    formatTime: function($time){
      var _time = $time.split('T')
      return _time[0].replace(/-/gi, '.')
    },
    formatProperty: function(str){
      var _str = str.substring(1, str.length - 1)
      return _str.replace(/\|/gi, ',')
    },
    filterContent: function(html) {
      html = html.replace(/(<a (.*?)>|<\/a>)/gi, '')
      html = html.replace(/http:\/\/www.v-bags.com/gi, '')
      html = html.replace(/<img(.*?)src=[\"\'](.*?)/gi, '<img src="http://www.v-bags.com')
      return html
    },
    oneEmpty: function(str){
      if(!str){
        return str.replace(/\s+/ig, ' ')
      }else{
        return str
      }
    },
    absoluteUrl: function(url) {
      return $app.config.baseUrl +  '/' + url
    },
    aUrlToApp: function (url) {
      var _ret = {
          url: '',
          pageParam: {}
        }
        var url = url.split('/')
        var _url = url[url.length - 1]
        var _urlArr = _url.split('?')
        var column = _urlArr[0].split('-')
        switch (column[0]) {
          case 'c':
          case 'cp':
            _ret['index'] = 1
            _ret['name'] = 'home_trend_frame'
            _ret['url'] = 'widget://html/home/trend/trend.html'
            break
          case 'm':
          case 'mp':
            _ret['index'] = 2
            _ret['name'] = 'home_style_frame'
            _ret['url'] = 'widget://html/home/style/style.html'
            break
          case 'b':
          case 'bl':
            _ret['index'] = 4
            _ret['name'] = 'book_frame'
            _ret['url'] = 'widget://html/book/book/book.html'
            break
        }
        _ret['pageParam']['cid'] = column[1]

        if (_urlArr[1]) {
          var querys = _urlArr[1].split('&')
          for (var i = 0; i < querys.length; i++) {
            var item = querys[i]
            if (item.toLowerCase().indexOf('b') > -1) _ret['pageParam']['brandId'] = item.split('=')[1]
            if (item.toLowerCase().indexOf('p') > -1) _ret['pageParam']['PropertStringList'] = item.split('=')[1]
            if (item.toLowerCase().indexOf('k') > -1) _ret['pageParam']['key'] = item.split('=')[1]
            if (item.toLowerCase().indexOf('material') > -1) {
              _ret['index'] = 3
              _ret['name'] = 'home_material_frame'
              _ret['url'] = 'widget://html/home/material/material.html'
            }
          }
        }
        return _ret
    },
    contact: function(a, b){
      var _a = a
      b.map(function(item){
        _a.push(item)
      })
      return _a
    }

  }
}
